create table sscAdministrator (
	administratorID int4 not null, 
	class varchar(255) not null DEFAULT 'com.softslate.commerce.businessobjects.administrator.AdministratorBean', 
	userName varchar(100) not null unique, 
	password varchar(255), 
	lastLogin varchar(100), 
	isApiUser bool not null default false,
	passwordExpires varchar(255),
	numberOfFailedLogins int4,
	lockedOutUntil VARCHAR(255),
	previousPasswords TEXT,
	allowedIPAddresses TEXT,
	isActive bool not null default false, 
	primary key (administratorID)
);
create table sscAdministratorRole (
	administratorRoleID int4 not null, 
	class varchar(255) not null DEFAULT 'com.softslate.commerce.businessobjects.administrator.AdministratorRoleBean', 
	administratorID int4, 
	roleID int4, 
	primary key (administratorRoleID)
);
create table sscRole (
	roleID int4 not null default nextval('hibernate_sequence'::text), 
	class varchar(255) not null DEFAULT 'com.softslate.commerce.businessobjects.administrator.RoleBean', 
	code varchar(100) not null unique, 
	name varchar(255), 
	description varchar(255),
	primary key (roleID)
);

alter table sscAdministratorRole 
	add constraint FKD5A2C8C36BF4FD89 foreign key (roleID) references sscRole on delete cascade;
alter table sscAdministratorRole 
	add constraint FKD5A2C8C3287060B3 foreign key (administratorID) references sscAdministrator on delete cascade;

CREATE INDEX IDX_sscRole_name ON sscRole (name);
CREATE INDEX IDX_sscRole_description ON sscRole (description);
