UPDATE sscSetting SET smallValue='3.5.0' WHERE code='dataObjectsVersion';

UPDATE sscSetting SET valueType = 'booleanValue', description = 'If yes, transactions will be sent to Authorize.net as test requests and the above Login ID and Transaction Key should be for a developer account on sandbox.authorize.net.' WHERE code = 'authorizeNetTestRequest';

UPDATE sscSetting SET valueType = 'booleanValue', description = 'If yes, Authorize.net will email the customer confirmation of the payment.' WHERE code = 'authorizeNetEmailCustomer';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('requireEmailActivation','Require Email Activiation for New Registrations','If set to yes, when registering a new account, the customer will have to follow an emailed link to set the password and complete the registration. Note: the Keep User Name and Email in Sync setting must be set to yes on on the Customers -> Customer Account Settings screen, for this feature to work.','CUSTOMERSECURITY','booleanValue',0,NULL,NULL,NULL);

INSERT INTO sscTemplate (code,type,subject,description,bodyHtml,isActive)
VALUES ('accountActivationEmail','HTML','Complete Your Registration on $!settings.map.storeName','Sent to new customers when the store is set to require email activation for new accounts.',
'<html><body>
<p>Hello,<br><br>
Please complete your registration on $!settings.map.storeName by clicking the following link and creating your password:</p>
<p><a href="${resetPasswordURL}">Click to complete registration</a></p>
<p>If clicking the link is not working, copy and paste this URL into your browser URL window: ${resetPasswordURL}</p>
<p>Thank You,</p>
<p>$!settings.map.storeName</p>
</body></html>',
'1');

INSERT INTO sscTemplate (code,type,subject,description,bodyHtml,bodyText,isActive)
VALUES ('lostPasswordAdvancedEmail','HTML','Your Lost Account Information','Sent to customers when they request that a lost password be reset. On stores that are being upgraded, to tell the system to use this template, empty out the Advanced Lost Password Email and Lost Password Email settings on the Store Settings -> Outgoing Emails screen.',
'<html><body><p>Hello, <br><br>The password for your account can be reset by clicking the following link and entering a new password:</p><p><a href="${resetPasswordURL}">Click to reset password</a></p><p>If clicking the link is not working, copy and paste this URL into your browser URL window: ${resetPasswordURL}</p><p>Thank You</p></body></html>',
'Hello,\r\n\r\nThe password for your account can be reset by going to the following link and entering a new password\r\n\r\n${resetPasswordURL}\r\n\r\nThank You\r\n',
'1');

INSERT INTO sscTemplate (code,type,subject,description,bodyHtml,bodyText,isActive)
VALUES ('completeResetPasswordEmail','HTML','Your Password Has Been Set','Sent to customers after their password has successfully been reset, either through the lost password process, or after activating their account. On stores that are being upgraded, to tell the system to use this template, empty out the Password Reset Email settings on the Store Settings -> Outgoing Emails screen.',
'<html><body><p>Hello, <br><br>The password for your account has been set, and you can now login at the following URL:</p><p><a href="${loginURL}">Click to Login</a></p><p>If clicking the link is not working, copy and paste this URL into your browser URL window: ${loginURL}</p><p>Thank You</p></body></html>',
'Hello,\r\n\r\nThe password for your account has been set.  You can now login at the following URL.\r\n\r\n${loginURL}\r\n\r\nThank You\r\n',
'1');

INSERT INTO sscRole(code, name, description) VALUES('settingsIncompleteOrdersJobView', 'Incomplete Orders Job Settings Viewer', 'Allows access to view Incomplete Orders Job settings.');
INSERT INTO sscRole(code, name, description) VALUES('settingsIncompleteOrdersJobEdit', 'Incomplete Orders Job Settings Editor', 'Allows access to view and edit Incomplete Orders Job settings.');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('IncompleteOrdersJob-isOn','Incomplete Orders Job - Is On','Turn the job on or off','IncompleteOrdersJob', 'booleanValue','0',NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('IncompleteOrdersJob-olderThanDays','Incomplete Orders Job - Older Than Days','Delete incomplete orders older than this many days.','IncompleteOrdersJob','integerValue','90',NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('IncompleteOrdersJob-olderThanHours','Incomplete Orders Job - Older Than Hours','In addition to the number of days, delete incomplete orders older than this many hours.','IncompleteOrdersJob','integerValue','0',NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('useLegacyJSPOrderEmailTemplates','Use Legacy JSP Order Email Templates?','Use the legacy JSP order email template, orderEmails.jsp to send the order confirmation and order notification emails when an order is completed by a customer. If set to no, the system will use the Template defined under Emails -> Templates instead.','EMAILS', 'booleanValue', '1',NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('sessionTimeoutAdministrators','Timeout in Minutes for Administrator Sessions','The length of administrator sessions, ie, the number of minutes of inactivity before the session is killed on the server. Set to 0 to default to the container default (15-20 minutes for Tomcat) or the config in web.xml.','SESSION', 'integerValue', '0',NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('sessionTimeoutCustomers','Timeout in Minutes for Customer Sessions','The length of customer sessions, ie, the number of minutes of inactivity before the session is killed on the server. Set to 0 to default to the container default (15-20 minutes for Tomcat) or the config in web.xml.','SESSION', 'integerValue', '0',NULL,NULL,NULL);

INSERT INTO sscTemplate (code,type,subject,description,bodyHtml,bodyText,isActive)
VALUES ('orderConfirmation','HTML','Invoice for Order Number $!order.OrderNumber','The template used to send an order confirmation to the customer when an order is placed.',
'<div class="orderDetailsContainer" style="width: 550px; font-family: ''Helvetica Neue'',Helvetica,Arial,sans-serif; font-size: 14px; line-height: 1.42857143; color: #333;">
	<div class="row" style="margin-bottom: 20px; clear:both;">
		<div style="width: 100%; float: left">
			<div id="orderInformation" class="panel panel-default" style="margin-bottom: 20px; border: 1px solid transparent; border-radius: 4px; -webkit-box-shadow: 0 1px 1px rgba(0,0,0,.05); box-shadow: 0 1px 1px rgba(0,0,0,.05);">
				<div class="panel-heading" style="padding: 10px 15px; border-bottom: 1px solid transparent; border-bottom-color: transparent; border-top-right-radius: 3px; border-top-left-radius: 3px; color: #333; background-color: #f5f5f5; border-color: #ddd;">
					<h3 class="panel-title" style="margin-top: 0; margin-bottom: 0; font-size: 16px; color: inherit;">Order Information</h3>
				</div>
				<div class="panel-body" style="padding: 15px;">
					<div style="width: 50%; float: left; margin-bottom: 20px;">
						#if($StringUtils.isNotBlank($order.orderNumber))
							<strong>Order Number:</strong> ${order.orderNumber}
							<br>
						#end
						#if($StringUtils.isNotBlank($order.completed))
							<strong>Date Placed:</strong>
							$dateTool.format(''long'', $dateTool.toDate(''yyyy-MM-dd HH:mm:ss:SSS'', $order.completed))
							<br>
						#end
						#if($StringUtils.isNotBlank($order.trackingNumber))
							<strong>Tracking Number:</strong> ${order.trackingNumber}
							<br>
						#end
						#if($StringUtils.isNotBlank($order.status))
							<strong>Status:</strong> ${order.status}
							<br>
						#end
						#if($StringUtils.isNotBlank($order.statusDetails))
							<strong>Status Details:</strong> ${order.statusDetails}
						#end
					</div>
					
					<div style="width: 50%; float: left; margin-bottom: 20px;">
						#if($StringUtils.isNotBlank($settings.map.storeName))
							<strong id="storeName">${settings.map.storeName}</strong>
							<br>
						#end
						#if($StringUtils.isNotBlank($settings.map.storeAddress1))
							${settings.map.storeAddress1}
							<br>
						#end
						#if($StringUtils.isNotBlank($settings.map.storeAddress2))
							${settings.map.storeAddress2}
							<br>
						#end
						#if($StringUtils.isNotBlank($settings.map.storeCity))
							${settings.map.storeCity}
						#end
						#if($StringUtils.isNotBlank($settings.map.storeStateOrProvince)), ${settings.map.storeStateOrProvince}
						#end
						#if($StringUtils.isNotBlank($settings.map.storePostalCode))
							${settings.map.storePostalCode}
						#end
						#if($StringUtils.isNotBlank($settings.map.storeCountry))
							${settings.map.storeCountry}
						#end
						<br>
						#if($StringUtils.isNotBlank($settings.map.storeEmailAddress))
							${settings.map.storeEmailAddress}
							<br>
						#end
						#if($StringUtils.isNotBlank($settings.map.storePhone))
							${settings.map.storePhone}
							<br>
						#end
					</div>
				</div>
			</div>
		</div>
	</div>

	<div class="row" style="margin-bottom: 20px; clear:both;">
		<div style="width: 50%; float: left">
			<div id="billingInformation" class="panel panel-default" style="margin-bottom: 20px; margin-right: 10px; border: 1px solid transparent; border-radius: 4px; -webkit-box-shadow: 0 1px 1px rgba(0,0,0,.05); box-shadow: 0 1px 1px rgba(0,0,0,.05);">
				<div class="panel-heading" style="padding: 10px 15px; border-bottom: 1px solid transparent; border-bottom-color: transparent; border-top-right-radius: 3px; border-top-left-radius: 3px; color: #333; background-color: #f5f5f5; border-color: #ddd;">
					<h3 class="panel-title" style="margin-top: 0; margin-bottom: 0; font-size: 16px; color: inherit;">Billing Information</h3>
				</div>
				<div class="panel-body" style="padding: 15px;">
					#if($StringUtils.isNotBlank($order.billingFirstName))
						$StringEscapeUtils.escapeXml($order.billingFirstName)
					#end
					#if($StringUtils.isNotBlank($order.billingLastName))
						$StringEscapeUtils.escapeXml($order.billingLastName)
					#end
					<br>
					#if($StringUtils.isNotBlank($order.billingOrganization))
						$StringEscapeUtils.escapeXml($order.billingOrganization)
						<br>
					#end
					#if($StringUtils.isNotBlank($order.billingAddress1))
						$StringEscapeUtils.escapeXml($order.billingAddress1)
						<br>
					#end
					#if($StringUtils.isNotBlank($order.billingAddress2))
						$StringEscapeUtils.escapeXml($order.billingAddress2)
						<br>
					#end
					#if($StringUtils.isNotBlank($order.billingCity))
						$StringEscapeUtils.escapeXml($order.billingCity)
					#end
					#if($StringUtils.isNotBlank($order.billingState)),
						$StringEscapeUtils.escapeXml($order.billingState)
					#end
					#if($StringUtils.isNotBlank($order.billingPostalCode))
						$StringEscapeUtils.escapeXml($order.billingPostalCode)
					#end
					<br>
					#if($StringUtils.isNotBlank($order.billingCountry))
						$StringEscapeUtils.escapeXml($order.billingCountry)
						<br>
					#end
					#if($StringUtils.isNotBlank($order.billingPhone1))
						$StringEscapeUtils.escapeXml($order.billingPhone1)
						<br>
					#end
					#if($StringUtils.isNotBlank($order.billingEmail1))
						$StringEscapeUtils.escapeXml($order.billingEmail1)
						<br>
					#end
				</div>
			</div>
		</div>
		<div style="width: 50%; float: left">
			<div id="deliveryInformation" class="panel panel-default" style="margin-bottom: 20px; margin-right: 10px; border: 1px solid transparent; border-radius: 4px; -webkit-box-shadow: 0 1px 1px rgba(0,0,0,.05); box-shadow: 0 1px 1px rgba(0,0,0,.05);">
				<div class="panel-heading" style="padding: 10px 15px; border-bottom: 1px solid transparent; border-bottom-color: transparent; border-top-right-radius: 3px; border-top-left-radius: 3px; color: #333; background-color: #f5f5f5; border-color: #ddd;">
					<h3 class="panel-title" style="margin-top: 0; margin-bottom: 0; font-size: 16px; color: inherit;">Delivery Information</h3>
				</div>
				<div class="panel-body" style="padding: 15px;">
					#foreach( $delivery in $order.getOrderDeliveryCollection())
						#if($StringUtils.isNotBlank($delivery.deliveryFirstName))
							$StringEscapeUtils.escapeXml($delivery.deliveryFirstName)
						#end
						#if($StringUtils.isNotBlank($delivery.deliveryLastName))
							$StringEscapeUtils.escapeXml($delivery.deliveryLastName)
						#end
						<br>
						#if($StringUtils.isNotBlank($delivery.deliveryOrganization))
							$StringEscapeUtils.escapeXml($delivery.deliveryOrganization)
							<br>
						#end
						#if($StringUtils.isNotBlank($delivery.deliveryAddress1))
							$StringEscapeUtils.escapeXml($delivery.deliveryAddress1)
							<br>
						#end
						#if($StringUtils.isNotBlank($delivery.deliveryAddress2))
							$StringEscapeUtils.escapeXml($delivery.deliveryAddress2)
							<br>
						#end
						#if($StringUtils.isNotBlank($delivery.deliveryCity))
							$StringEscapeUtils.escapeXml($delivery.deliveryCity)
						#end
						#if($StringUtils.isNotBlank($delivery.deliveryState)),
							${delivery.deliveryState}
						#end
						#if($StringUtils.isNotBlank($delivery.deliveryPostalCode))
							$StringEscapeUtils.escapeXml($delivery.deliveryPostalCode)
						#end
						<br>
						#if($StringUtils.isNotBlank($delivery.deliveryCountry))
							$StringEscapeUtils.escapeXml($delivery.deliveryCountry)
							<br>
						#end
						#if($StringUtils.isNotBlank($delivery.deliveryPhone1))
							$StringEscapeUtils.escapeXml($delivery.deliveryPhone1)
							<br>
						#end
						#if($StringUtils.isNotBlank($delivery.deliveryEmail1))
							$StringEscapeUtils.escapeXml($delivery.deliveryEmail1)
							<br>
						#end
					#end
				</div>
			</div>
		</div>
	</div>
	<div class="row" style="margin-bottom: 20px; clear:both;">
	
		#if($StringUtils.isNotBlank($order.shippingMethod))
			<div style="width: 50%; float: left">
				<div id="shippingInformation" class="panel panel-default" style="margin-bottom: 20px; margin-right: 10px; border: 1px solid transparent; border-radius: 4px; -webkit-box-shadow: 0 1px 1px rgba(0,0,0,.05); box-shadow: 0 1px 1px rgba(0,0,0,.05);">
					<div class="panel-heading" style="padding: 10px 15px; border-bottom: 1px solid transparent; border-bottom-color: transparent; border-top-right-radius: 3px; border-top-left-radius: 3px; color: #333; background-color: #f5f5f5; border-color: #ddd;">
						<h3 class="panel-title" style="margin-top: 0; margin-bottom: 0; font-size: 16px; color: inherit;">Shipping Method</h3>
					</div>
					<div class="panel-body" style="padding: 15px;">
						$StringEscapeUtils.escapeXml($order.shippingMethod)
					</div>
				</div>
			</div>
		#end

		<div style="width: 50%; float: left">
			<div id="paymentInformation" class="panel panel-default" style="margin-bottom: 20px; margin-right: 10px; border: 1px solid transparent; border-radius: 4px; -webkit-box-shadow: 0 1px 1px rgba(0,0,0,.05); box-shadow: 0 1px 1px rgba(0,0,0,.05);">
				<div class="panel-heading" style="padding: 10px 15px; border-bottom: 1px solid transparent; border-bottom-color: transparent; border-top-right-radius: 3px; border-top-left-radius: 3px; color: #333; background-color: #f5f5f5; border-color: #ddd;">
					<h3 class="panel-title" style="margin-top: 0; margin-bottom: 0; font-size: 16px; color: inherit;">Payment Information</h3>
				</div>
				<div class="panel-body" style="padding: 15px;">
					#foreach( $payment in $order.getPayments())
						#if($StringUtils.isNotBlank($payment.status))
							$StringEscapeUtils.escapeXml($payment.status)<br>
						#end
						#if($StringUtils.isNotBlank($payment.creditCardName))
							$StringEscapeUtils.escapeXml($payment.creditCardName)<br>
						#end
						#if($StringUtils.isNotBlank($payment.creditCardNumberDisplay))
							#if($StringUtils.isNotBlank($payment.creditCardType))$StringEscapeUtils.escapeXml($payment.creditCardType) - #end $StringEscapeUtils.escapeXml($payment.creditCardNumberDisplay)<br>
						#end
						#if($StringUtils.isBlank($payment.creditCardNumberDisplay))
							#if($StringUtils.isNotBlank($payment.value4))
								$StringEscapeUtils.escapeXml($payment.value4)<br>
							#end
						#end
					#end
				</div>
			</div>
		</div>
	</div>

	<div class="row" style="margin-bottom: 20px; clear:both;">
		<div style="width: 100%">
			<table id="orderItems" class="table table-bordered table-striped table-condensed" style="margin-bottom: 20px; border: 1px solid #ddd; margin-bottom: 20px; width: 100%; max-width: 100%; background-color: transparent; border-collapse: collapse; border-spacing: 0;">
				<tr>
					<th style="vertical-align: top; padding: 5px; border: 1px solid #ddd; background-color: #f5f5f5;">Name</th>
					<th style="vertical-align: top; padding: 5px; border: 1px solid #ddd; background-color: #f5f5f5;">Qty.</th>
					<th class="total" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; text-align: right; background-color: #f5f5f5;">Total</th>
				</tr>
				#foreach($item in $order.firstDelivery().getOrderItemCollection())
					<tr class="orderItem">
						<td class="name" style="vertical-align: top; padding: 5px; border: 1px solid #ddd;">
							#if($StringUtils.isNotBlank($item.name))
								$item.name<br>
							#end
							#if($item.unitPrice && $item.unitPrice > 0)
								&mdash; $number.currency($item.unitPrice)
							#end
							#if($item.getOrderItemAttributes())
								#foreach($attribute in $item.getOrderItemAttributes())
									<br>
									#if($StringUtils.isNotBlank($attribute.attributeName))
										$attribute.attributeName:
									#end
									#if($StringUtils.isNotBlank($attribute.optionName) && $attribute.optionCode eq $attribute.attributeValue)
										$attribute.optionName
									#else
										#if($StringUtils.isNotBlank($attribute.attributeValue))
											$StringEscapeUtils.escapeXml($attribute.attributeValue)
										#end
									#end
									#if($attribute.total && $attribute.total > 0)
										&mdash; $number.currency($attribute.total)
									#end
								#end
							#end
						</td>
						<td class="quantity" style="vertical-align: top; padding: 5px; border: 1px solid #ddd;">#if($item.quantity)$item.quantity#end</td>
						<td class="total" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; text-align: right;">#if($item.total)$number.currency($item.total)#end</td>
					</tr>
				#end
			</table>
		</div>
	</div>
	
	<div class="row" style="margin-bottom: 20px; clear:both;">
		<div style="width: 100%">
			#set($displayDiscounts = ''false'')
			#if ($order.orderDiscounts)
				#foreach($orderDiscount in $order.orderDiscounts)
					#if ($displayDiscounts == ''false'' && $orderDiscount.itemsAppliesType != ''[giftCertificate]'' && $orderDiscount.itemsAppliesType != ''[shipping]'')
						#set($displayDiscounts = ''true'')
					#end
				#end
			#end
			#if ($displayDiscounts == ''true'')
				<table id="orderDiscounts" class="table table-bordered table-striped table-condensed" style="margin-bottom: 20px; border: 1px solid #ddd; margin-bottom: 20px; width: 100%; max-width: 100%; background-color: transparent; border-collapse: collapse; border-spacing: 0;">
					<tr>
						 <th colspan="2" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; background-color: #f5f5f5; text-align: left;">Discounts</th>
					</tr>
					#foreach($orderDiscount in $order.orderDiscounts)
						#if ($orderDiscount.itemsAppliesType != ''[giftCertificate]'' && $orderDiscount.itemsAppliesType != ''[shipping]'')
							<tr class="orderDiscount">
								<td class="code" style="vertical-align: top; padding: 5px; border: 1px solid #ddd;">
									#if($StringUtils.isNotBlank($orderDiscount.name))
										${orderDiscount.name}
									#end
									#if($StringUtils.isNotBlank($orderDiscount.couponCode))
										(${orderDiscount.couponCode})
									#end
								</td>
								<td class="total" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; text-align: right;">#if($orderDiscount.total)($number.currency($orderDiscount.total))#end</td>
							</tr>
						#end
					#end
				</table>
			#end
		</div>
	</div>

	<div class="row" style="margin-bottom: 20px; clear:both;">
		<div style="width: 100%">
			<table id="orderTotals" class="table table-bordered table-striped table-condensed" style="border: 1px solid #ddd; margin-bottom: 20px; width: 100%; max-width: 100%; background-color: transparent; border-collapse: collapse; border-spacing: 0;">
				<tr>
					 <th colspan="2" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; background-color: #f5f5f5; text-align: left;">Order Totals</th>
				</tr>
				<tr>
					<td class="orderTotalLabel" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; text-align: right;">Subtotal:</td>
					<td class="orderTotalAmount" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; text-align: right;">#if($order.subtotal)$number.currency($order.subtotal)#end</td>
				</tr>
				<tr>
					<td class="orderTotalLabel" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; text-align: right;">Shipping:</td>
					<td class="orderTotalAmount" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; text-align: right;">#if($order.shipping)$number.currency($order.shipping)#end</td>
				</tr>
				<tr>
					<td class="orderTotalLabel" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; text-align: right;">Tax:</td>
					<td class="orderTotalAmount" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; text-align: right;">#if($order.tax)$number.currency($order.tax)#end</td>
				</tr>
				#if ($order.orderDiscounts)
					#foreach($orderDiscount in $order.orderDiscounts)
						#if ($orderDiscount.itemsAppliesType == ''[giftCertificate]'')
							<tr>
								<td class="orderTotalLabelHighlighted" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; text-align: right;">
									#if($StringUtils.isNotBlank($orderDiscount.name))
										${orderDiscount.name}
									#end
									#set($balance = $orderDiscount.reward - $orderDiscount.total)
									(Balance of #if($balance)$number.currency($balance)#end after this order):
								</td>
								<td class="orderTotalAmountHighlighted" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; text-align: right;">	
									#set($negativeTotal = $orderDiscount.total * -1)
									#if($negativeTotal)$number.currency($negativeTotal)#end
								</td>
							</tr>
						#end
					#end
				#end
				<tr>
					<td id="totalLabel" class="orderTotalLabel" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; text-align: right;">Total:</td>
					<td id="totalAmount" class="orderTotalAmount" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; text-align: right;">#if($order.total)$number.currency($order.total)#end</td>
				</tr>
			</table>
		</div>
	</div>
</div>
', '', '1');
INSERT INTO sscTemplate (code,type,subject,description,bodyHtml,bodyText,isActive)
VALUES ('orderNotification','HTML','New Order Received: Number $!order.OrderNumber','The template used to send a notification of a new order received to store administrators when an order is placed.',
'<div class="orderDetailsContainer" style="width: 550px; font-family: ''Helvetica Neue'',Helvetica,Arial,sans-serif; font-size: 14px; line-height: 1.42857143; color: #333;">
	<div class="row" style="margin-bottom: 20px; clear:both;">
		<div style="width: 100%; float: left">
			<div id="orderInformation" class="panel panel-default" style="margin-bottom: 20px; border: 1px solid transparent; border-radius: 4px; -webkit-box-shadow: 0 1px 1px rgba(0,0,0,.05); box-shadow: 0 1px 1px rgba(0,0,0,.05);">
				<div class="panel-heading" style="padding: 10px 15px; border-bottom: 1px solid transparent; border-bottom-color: transparent; border-top-right-radius: 3px; border-top-left-radius: 3px; color: #333; background-color: #f5f5f5; border-color: #ddd;">
					<h3 class="panel-title" style="margin-top: 0; margin-bottom: 0; font-size: 16px; color: inherit;">Order Information</h3>
				</div>
				<div class="panel-body" style="padding: 15px;">
					<div style="width: 50%; float: left; margin-bottom: 20px;">
						#if($StringUtils.isNotBlank($order.orderNumber))
							<strong>Order Number:</strong> ${order.orderNumber}
							<br>
						#end
						#if($StringUtils.isNotBlank($order.completed))
							<strong>Date Placed:</strong>
							$dateTool.format(''long'', $dateTool.toDate(''yyyy-MM-dd HH:mm:ss:SSS'', $order.completed))
							<br>
						#end
						#if($StringUtils.isNotBlank($order.trackingNumber))
							<strong>Tracking Number:</strong> ${order.trackingNumber}
							<br>
						#end
						#if($StringUtils.isNotBlank($order.status))
							<strong>Status:</strong> ${order.status}
							<br>
						#end
						#if($StringUtils.isNotBlank($order.statusDetails))
							<strong>Status Details:</strong> ${order.statusDetails}
						#end
					</div>
					
					<div style="width: 50%; float: left; margin-bottom: 20px;">
						#if($StringUtils.isNotBlank($settings.map.storeName))
							<strong id="storeName">${settings.map.storeName}</strong>
							<br>
						#end
						#if($StringUtils.isNotBlank($settings.map.storeAddress1))
							${settings.map.storeAddress1}
							<br>
						#end
						#if($StringUtils.isNotBlank($settings.map.storeAddress2))
							${settings.map.storeAddress2}
							<br>
						#end
						#if($StringUtils.isNotBlank($settings.map.storeCity))
							${settings.map.storeCity}
						#end
						#if($StringUtils.isNotBlank($settings.map.storeStateOrProvince)), ${settings.map.storeStateOrProvince}
						#end
						#if($StringUtils.isNotBlank($settings.map.storePostalCode))
							${settings.map.storePostalCode}
						#end
						#if($StringUtils.isNotBlank($settings.map.storeCountry))
							${settings.map.storeCountry}
						#end
						<br>
						#if($StringUtils.isNotBlank($settings.map.storeEmailAddress))
							${settings.map.storeEmailAddress}
							<br>
						#end
						#if($StringUtils.isNotBlank($settings.map.storePhone))
							${settings.map.storePhone}
							<br>
						#end
					</div>
				</div>
			</div>
		</div>
	</div>

	<div class="row" style="margin-bottom: 20px; clear:both;">
		<div style="width: 50%; float: left">
			<div id="billingInformation" class="panel panel-default" style="margin-bottom: 20px; margin-right: 10px; border: 1px solid transparent; border-radius: 4px; -webkit-box-shadow: 0 1px 1px rgba(0,0,0,.05); box-shadow: 0 1px 1px rgba(0,0,0,.05);">
				<div class="panel-heading" style="padding: 10px 15px; border-bottom: 1px solid transparent; border-bottom-color: transparent; border-top-right-radius: 3px; border-top-left-radius: 3px; color: #333; background-color: #f5f5f5; border-color: #ddd;">
					<h3 class="panel-title" style="margin-top: 0; margin-bottom: 0; font-size: 16px; color: inherit;">Billing Information</h3>
				</div>
				<div class="panel-body" style="padding: 15px;">
					#if($StringUtils.isNotBlank($order.billingFirstName))
						$StringEscapeUtils.escapeXml($order.billingFirstName)
					#end
					#if($StringUtils.isNotBlank($order.billingLastName))
						$StringEscapeUtils.escapeXml($order.billingLastName)
					#end
					<br>
					#if($StringUtils.isNotBlank($order.billingOrganization))
						$StringEscapeUtils.escapeXml($order.billingOrganization)
						<br>
					#end
					#if($StringUtils.isNotBlank($order.billingAddress1))
						$StringEscapeUtils.escapeXml($order.billingAddress1)
						<br>
					#end
					#if($StringUtils.isNotBlank($order.billingAddress2))
						$StringEscapeUtils.escapeXml($order.billingAddress2)
						<br>
					#end
					#if($StringUtils.isNotBlank($order.billingCity))
						$StringEscapeUtils.escapeXml($order.billingCity)
					#end
					#if($StringUtils.isNotBlank($order.billingState)),
						$StringEscapeUtils.escapeXml($order.billingState)
					#end
					#if($StringUtils.isNotBlank($order.billingPostalCode))
						$StringEscapeUtils.escapeXml($order.billingPostalCode)
					#end
					<br>
					#if($StringUtils.isNotBlank($order.billingCountry))
						$StringEscapeUtils.escapeXml($order.billingCountry)
						<br>
					#end
					#if($StringUtils.isNotBlank($order.billingPhone1))
						$StringEscapeUtils.escapeXml($order.billingPhone1)
						<br>
					#end
					#if($StringUtils.isNotBlank($order.billingEmail1))
						$StringEscapeUtils.escapeXml($order.billingEmail1)
						<br>
					#end
				</div>
			</div>
		</div>
		<div style="width: 50%; float: left">
			<div id="deliveryInformation" class="panel panel-default" style="margin-bottom: 20px; margin-right: 10px; border: 1px solid transparent; border-radius: 4px; -webkit-box-shadow: 0 1px 1px rgba(0,0,0,.05); box-shadow: 0 1px 1px rgba(0,0,0,.05);">
				<div class="panel-heading" style="padding: 10px 15px; border-bottom: 1px solid transparent; border-bottom-color: transparent; border-top-right-radius: 3px; border-top-left-radius: 3px; color: #333; background-color: #f5f5f5; border-color: #ddd;">
					<h3 class="panel-title" style="margin-top: 0; margin-bottom: 0; font-size: 16px; color: inherit;">Delivery Information</h3>
				</div>
				<div class="panel-body" style="padding: 15px;">
					#foreach( $delivery in $order.getOrderDeliveryCollection())
						#if($StringUtils.isNotBlank($delivery.deliveryFirstName))
							$StringEscapeUtils.escapeXml($delivery.deliveryFirstName)
						#end
						#if($StringUtils.isNotBlank($delivery.deliveryLastName))
							$StringEscapeUtils.escapeXml($delivery.deliveryLastName)
						#end
						<br>
						#if($StringUtils.isNotBlank($delivery.deliveryOrganization))
							$StringEscapeUtils.escapeXml($delivery.deliveryOrganization)
							<br>
						#end
						#if($StringUtils.isNotBlank($delivery.deliveryAddress1))
							$StringEscapeUtils.escapeXml($delivery.deliveryAddress1)
							<br>
						#end
						#if($StringUtils.isNotBlank($delivery.deliveryAddress2))
							$StringEscapeUtils.escapeXml($delivery.deliveryAddress2)
							<br>
						#end
						#if($StringUtils.isNotBlank($delivery.deliveryCity))
							$StringEscapeUtils.escapeXml($delivery.deliveryCity)
						#end
						#if($StringUtils.isNotBlank($delivery.deliveryState)),
							${delivery.deliveryState}
						#end
						#if($StringUtils.isNotBlank($delivery.deliveryPostalCode))
							$StringEscapeUtils.escapeXml($delivery.deliveryPostalCode)
						#end
						<br>
						#if($StringUtils.isNotBlank($delivery.deliveryCountry))
							$StringEscapeUtils.escapeXml($delivery.deliveryCountry)
							<br>
						#end
						#if($StringUtils.isNotBlank($delivery.deliveryPhone1))
							$StringEscapeUtils.escapeXml($delivery.deliveryPhone1)
							<br>
						#end
						#if($StringUtils.isNotBlank($delivery.deliveryEmail1))
							$StringEscapeUtils.escapeXml($delivery.deliveryEmail1)
							<br>
						#end
					#end
				</div>
			</div>
		</div>
	</div>
	<div class="row" style="margin-bottom: 20px; clear:both;">
	
		#if($StringUtils.isNotBlank($order.shippingMethod))
			<div style="width: 50%; float: left">
				<div id="shippingInformation" class="panel panel-default" style="margin-bottom: 20px; margin-right: 10px; border: 1px solid transparent; border-radius: 4px; -webkit-box-shadow: 0 1px 1px rgba(0,0,0,.05); box-shadow: 0 1px 1px rgba(0,0,0,.05);">
					<div class="panel-heading" style="padding: 10px 15px; border-bottom: 1px solid transparent; border-bottom-color: transparent; border-top-right-radius: 3px; border-top-left-radius: 3px; color: #333; background-color: #f5f5f5; border-color: #ddd;">
						<h3 class="panel-title" style="margin-top: 0; margin-bottom: 0; font-size: 16px; color: inherit;">Shipping Method</h3>
					</div>
					<div class="panel-body" style="padding: 15px;">
						$StringEscapeUtils.escapeXml($order.shippingMethod)
					</div>
				</div>
			</div>
		#end

		<div style="width: 50%; float: left">
			<div id="paymentInformation" class="panel panel-default" style="margin-bottom: 20px; margin-right: 10px; border: 1px solid transparent; border-radius: 4px; -webkit-box-shadow: 0 1px 1px rgba(0,0,0,.05); box-shadow: 0 1px 1px rgba(0,0,0,.05);">
				<div class="panel-heading" style="padding: 10px 15px; border-bottom: 1px solid transparent; border-bottom-color: transparent; border-top-right-radius: 3px; border-top-left-radius: 3px; color: #333; background-color: #f5f5f5; border-color: #ddd;">
					<h3 class="panel-title" style="margin-top: 0; margin-bottom: 0; font-size: 16px; color: inherit;">Payment Information</h3>
				</div>
				<div class="panel-body" style="padding: 15px;">
					#foreach( $payment in $order.getPayments())
						#if($StringUtils.isNotBlank($payment.status))
							$StringEscapeUtils.escapeXml($payment.status)<br>
						#end
						#if($StringUtils.isNotBlank($payment.creditCardName))
							$StringEscapeUtils.escapeXml($payment.creditCardName)<br>
						#end
						#if($StringUtils.isNotBlank($payment.creditCardNumberDisplay))
							#if($StringUtils.isNotBlank($payment.creditCardType))$StringEscapeUtils.escapeXml($payment.creditCardType) - #end $StringEscapeUtils.escapeXml($payment.creditCardNumberDisplay)<br>
						#end
						#if($StringUtils.isBlank($payment.creditCardNumberDisplay))
							#if($StringUtils.isNotBlank($payment.value4))
								$StringEscapeUtils.escapeXml($payment.value4)<br>
							#end
						#end
					#end
				</div>
			</div>
		</div>
	</div>

	<div class="row" style="margin-bottom: 20px; clear:both;">
		<div style="width: 100%">
			<table id="orderItems" class="table table-bordered table-striped table-condensed" style="margin-bottom: 20px; border: 1px solid #ddd; margin-bottom: 20px; width: 100%; max-width: 100%; background-color: transparent; border-collapse: collapse; border-spacing: 0;">
				<tr>
					<th style="vertical-align: top; padding: 5px; border: 1px solid #ddd; background-color: #f5f5f5;">Name</th>
					<th style="vertical-align: top; padding: 5px; border: 1px solid #ddd; background-color: #f5f5f5;">Qty.</th>
					<th class="total" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; text-align: right; background-color: #f5f5f5;">Total</th>
				</tr>
				#foreach($item in $order.firstDelivery().getOrderItemCollection())
					<tr class="orderItem">
						<td class="name" style="vertical-align: top; padding: 5px; border: 1px solid #ddd;">
							#if($StringUtils.isNotBlank($item.name))
								$item.name<br>
							#end
							#if($item.unitPrice && $item.unitPrice > 0)
								&mdash; $number.currency($item.unitPrice)
							#end
							#if($item.getOrderItemAttributes())
								#foreach($attribute in $item.getOrderItemAttributes())
									<br>
									#if($StringUtils.isNotBlank($attribute.attributeName))
										$attribute.attributeName:
									#end
									#if($StringUtils.isNotBlank($attribute.optionName) && $attribute.optionCode eq $attribute.attributeValue)
										$attribute.optionName
									#else
										#if($StringUtils.isNotBlank($attribute.attributeValue))
											$StringEscapeUtils.escapeXml($attribute.attributeValue)
										#end
									#end
									#if($attribute.total && $attribute.total > 0)
										&mdash; $number.currency($attribute.total)
									#end
								#end
							#end
						</td>
						<td class="quantity" style="vertical-align: top; padding: 5px; border: 1px solid #ddd;">#if($item.quantity)$item.quantity#end</td>
						<td class="total" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; text-align: right;">#if($item.total)$number.currency($item.total)#end</td>
					</tr>
				#end
			</table>
		</div>
	</div>
	
	<div class="row" style="margin-bottom: 20px; clear:both;">
		<div style="width: 100%">
			#set($displayDiscounts = ''false'')
			#if ($order.orderDiscounts)
				#foreach($orderDiscount in $order.orderDiscounts)
					#if ($displayDiscounts == ''false'' && $orderDiscount.itemsAppliesType != ''[giftCertificate]'' && $orderDiscount.itemsAppliesType != ''[shipping]'')
						#set($displayDiscounts = ''true'')
					#end
				#end
			#end
			#if ($displayDiscounts == ''true'')
				<table id="orderDiscounts" class="table table-bordered table-striped table-condensed" style="margin-bottom: 20px; border: 1px solid #ddd; margin-bottom: 20px; width: 100%; max-width: 100%; background-color: transparent; border-collapse: collapse; border-spacing: 0;">
					<tr>
						 <th colspan="2" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; background-color: #f5f5f5; text-align: left;">Discounts</th>
					</tr>
					#foreach($orderDiscount in $order.orderDiscounts)
						#if ($orderDiscount.itemsAppliesType != ''[giftCertificate]'' && $orderDiscount.itemsAppliesType != ''[shipping]'')
							<tr class="orderDiscount">
								<td class="code" style="vertical-align: top; padding: 5px; border: 1px solid #ddd;">
									#if($StringUtils.isNotBlank($orderDiscount.name))
										${orderDiscount.name}
									#end
									#if($StringUtils.isNotBlank($orderDiscount.couponCode))
										(${orderDiscount.couponCode})
									#end
								</td>
								<td class="total" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; text-align: right;">#if($orderDiscount.total)($number.currency($orderDiscount.total))#end</td>
							</tr>
						#end
					#end
				</table>
			#end
		</div>
	</div>

	<div class="row" style="margin-bottom: 20px; clear:both;">
		<div style="width: 100%">
			<table id="orderTotals" class="table table-bordered table-striped table-condensed" style="border: 1px solid #ddd; margin-bottom: 20px; width: 100%; max-width: 100%; background-color: transparent; border-collapse: collapse; border-spacing: 0;">
				<tr>
					 <th colspan="2" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; background-color: #f5f5f5; text-align: left;">Order Totals</th>
				</tr>
				<tr>
					<td class="orderTotalLabel" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; text-align: right;">Subtotal:</td>
					<td class="orderTotalAmount" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; text-align: right;">#if($order.subtotal)$number.currency($order.subtotal)#end</td>
				</tr>
				<tr>
					<td class="orderTotalLabel" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; text-align: right;">Shipping:</td>
					<td class="orderTotalAmount" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; text-align: right;">#if($order.shipping)$number.currency($order.shipping)#end</td>
				</tr>
				<tr>
					<td class="orderTotalLabel" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; text-align: right;">Tax:</td>
					<td class="orderTotalAmount" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; text-align: right;">#if($order.tax)$number.currency($order.tax)#end</td>
				</tr>
				#if ($order.orderDiscounts)
					#foreach($orderDiscount in $order.orderDiscounts)
						#if ($orderDiscount.itemsAppliesType == ''[giftCertificate]'')
							<tr>
								<td class="orderTotalLabelHighlighted" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; text-align: right;">
									#if($StringUtils.isNotBlank($orderDiscount.name))
										${orderDiscount.name}
									#end
									#set($balance = $orderDiscount.reward - $orderDiscount.total)
									(Balance of #if($balance)$number.currency($balance)#end after this order):
								</td>
								<td class="orderTotalAmountHighlighted" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; text-align: right;">	
									#set($negativeTotal = $orderDiscount.total * -1)
									#if($negativeTotal)$number.currency($negativeTotal)#end
								</td>
							</tr>
						#end
					#end
				#end
				<tr>
					<td id="totalLabel" class="orderTotalLabel" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; text-align: right;">Total:</td>
					<td id="totalAmount" class="orderTotalAmount" style="vertical-align: top; padding: 5px; border: 1px solid #ddd; text-align: right;">#if($order.total)$number.currency($order.total)#end</td>
				</tr>
			</table>
		</div>
	</div>
</div>
', '', '1');
INSERT INTO sscTemplate (code,type,subject,description,bodyHtml,bodyText,isActive)
VALUES ('giftCertificate','HTML','Your Gift Certificate from $!settings.map.storeName Is Ready!','The template used for the notification email sent to the recipient of each of the Gift Certificates purchased in the store.',
'<div class="giftCertificateContainer" style="width: 550px; font-family: ''Helvetica Neue'',Helvetica,Arial,sans-serif; font-size: 14px; line-height: 1.42857143; color: #333;">
	<div class="row" style="margin-bottom: 20px; clear:both;">
		<div style="width: 100%; float: left">
			#foreach( $giftCertificate in $item.discounts)
				<div class="giftCertificate" style="border: 10px ridge #555; padding: 20px; margin: 20px 0; page-break-after: always">
					<h1 style="margin: 0 0 .5em 0; padding: .25em 0; font-size: 2em; color: #333; text-align: center">Gift Certificate - $settings.map.storeName</h1>
					#if($attributeMap.GiftCertificateMessageTo && $StringUtils.isNotBlank($attributeMap.GiftCertificateMessageTo.attributeValue))
				  		<p><strong class="label">To:</strong>
				  		$StringEscapeUtils.escapeXml($attributeMap.GiftCertificateMessageTo.attributeValue)</p>
				  	#end
					#if($attributeMap.GiftCertificateMessageFrom && $StringUtils.isNotBlank($attributeMap.GiftCertificateMessageFrom.attributeValue))
				  		<p><strong class="label">From:</strong>
				  		$StringEscapeUtils.escapeXml($attributeMap.GiftCertificateMessageFrom.attributeValue)</p>
				  	#end
			  		<p>
				  		<strong class="label">Gift Certificate Amount:</strong>
						$number.currency($giftCertificateAmountAttribute.total)
				  	</p>
			  		<p>
				  		<strong class="label">Gift Certificate Code (Enter This To Redeem):</strong>
				  		$giftCertificate.couponCode
				  	</p>
					#if($StringUtils.isNotBlank($giftCertificate.expirationDate))
		  				<p>
					  		<strong class="label">Expiration Date:</strong>
							$dateTool.format(''long'', $dateTool.toDate(''yyyy-MM-dd HH:mm:ss:SSS'', $giftCertificate.expirationDate))
			  			</p>
				  	#end
					<p>
					  To redeem the gift certificate please visit our store any time.
					  <a href="$settings.map.customerURL">$settings.map.customerURL</a>
					</p>
					#if($attributeMap.GiftCertificateMessage && $StringUtils.isNotBlank($attributeMap.GiftCertificateMessage.attributeValue))
						<p>
						  <strong class="label">Message:</strong><br />
						  $StringEscapeUtils.escapeXml($attributeMap.GiftCertificateMessage.attributeValue)
						</p>
					#end
				</div>
			#end
		</div>
	</div>
</div>
', '', '1');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetIntegrationMethod','Integration Method','Determines how payment information is transmitted to Authorize.net. The options including Server to Server, Accept.js, and Accept Hosted.','authorizeNet-general', 'smallValue', NULL,'AcceptHostedIframe',NULL,NULL);

UPDATE sscSetting SET type='authorizeNet-general' WHERE code IN ('authorizeNetLoginID', 'authorizeNetTxKey', 'authorizeNetTxType', 'authorizeNetTestRequest');
UPDATE sscSetting SET type='authorizeNet-other' WHERE code IN ('authorizeNetDupeTxTimeout', 'authorizeNetEmailCustomer', 'authorizeNetEmailMerchant', 'authorizeNetCustomerID', 'authorizeNetInvoiceNum', 'authorizeNetPONumber', 'authorizeNetDescription');
UPDATE sscSetting SET type='authorizeNet-acceptJS', name='Accept.js Public Client Key' WHERE code IN ('authorizeNetAcceptJSPublicClientKey');
DELETE FROM sscSetting WHERE code IN ('authorizeNetEnableAcceptJS');

DELETE FROM sscSetting WHERE type='authorizeNetCIM';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetEnableCustomerProfiles','Enable Customer Profiles?','Enables logged in customers to choose to save and reuse payment information as they place orders.','authorizeNet-profiles', 'booleanValue', '1',NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetAllowManageProfiles','Allow Customers to Manage Authorize.net Profiles','If yes, customers will be allowed to manage their saved Authorize.net profiles in the customer account area.','authorizeNet-profiles', 'booleanValue', 1,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetAllowDeleteProfiles','Allow Customers to Delete Authroize.net Profiles','If yes, customers are allowed to delete previously saved Authorize.net profiles.','authorizeNet-profiles', 'booleanValue', 1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetHostedPayText','Hosted Form Pay Button Text','The text to display on the button that the customer uses to submit the payment.','authorizeNet-accepthosted', 'mediumValue', NULL,NULL,'Place Order',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetHostedBgColor','Hosted Form Background Color','The accent color of the form, including button and field line colors. Acceptable values are CSS color keywords or RGB hexadecimal values. Defaults to #3F8FCD, a moderate shade of blue.','authorizeNet-accepthosted', 'mediumValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetHostedShowBankAccount','Hosted Form Show Bank Account Inputs?','Whether or not to show bank account input fields in the hosted form. Note that you must add eCheck.Net to your payment gateway to enable bank account fields on the payment form. Either this or "Hosted Form Show Credit Card Inputs?" should be set to yes.','authorizeNet-accepthosted', 'booleanValue', '1',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetHostedShowCreditCard','Hosted Form Show Credit Card Inputs?','Whether or not to show credit card input fields in the hosted form. Either this or "Hosted Form Show Bank Account Inputs?" should be set to yes.','authorizeNet-accepthosted', 'booleanValue', '1',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetHostedShowBillingAddress','Hosted Form Show Billing Address?','Whether or not to show billing address input fields in the hosted form. Note: in most flows SoftSlate asks for the billing address separately.','authorizeNet-accepthosted', 'booleanValue', '0',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetHostedRequireBillingAddress','Hosted Form Require Billing Address?','If billing address fields are shown, whether or not to require a billing address be submitted. Note: in most flows SoftSlate asks for the billing address separately.','authorizeNet-accepthosted', 'booleanValue', '0',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetHostedShowEmail','Hosted Form Show Email?','Whether or not to show the email address input field in the hosted form. Note: in most flows SoftSlate asks for the email address separately.','authorizeNet-accepthosted', 'booleanValue', '0',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetHostedRequireEmail','Hosted Form Require Email?','If the email address field is shown, whether or not to require an email address be submitted. Note: in most flows SoftSlate asks for the email address separately.','authorizeNet-accepthosted', 'booleanValue', '0',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetHostedAddPaymentProfile','Hosted Form Show Add Payment Profile Option?','If the customer has an existing customer profile, whether or not to show an option to add a new payment profile to their customer profile, on the hosted form.','authorizeNet-accepthosted', 'booleanValue', '1',NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetHostedIFrameCommunicatorUrl','IFrame Communicator URL','Enter the URL to a page that can communicate with the merchants main page using javascript. This enables you to dynamically change the size of the popup so there are no scroll bars. This parameter is required only for iframe or lightbox applications. The application will append the Customer Secure URL to this setting.','authorizeNet-accepthosted', 'mediumValue', NULL,NULL,'/js/vendor/IframeCommunicator.html',NULL);

UPDATE sscSetting SET name = 'Display Confirm Screen Before End of Checkout?', description = 'If true, customers will be shown a confirmation screen at the end of the checkout process, and must confirm their order before it is processed. <strong>Warning: This option should not be used with some payment methods such as the Accept.js and Accept Hosted options under Authorize.net.</strong>' WHERE code = 'displayCheckoutConfirm';
