<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.core.BusinessObjectFactory,com.softslate.commerce.businessobjects.customer.CustomerWishList,com.softslate.commerce.businessobjects.customer.CustomerWishListProcessor" %>
<bean:define id="editing" toScope="request" value="true"/>
<bean:define id="pagingLink" toScope="request" value="WishListEditForm.do"/>
<%
	BusinessObjectFactory bof = (BusinessObjectFactory) request.getAttribute("businessObjectFactory");
	CustomerWishListProcessor customerWishListProcessor = (CustomerWishListProcessor) bof.createObject(
			"customerWishListProcessorImplementer");
	CustomerWishList cwl = (CustomerWishList) request.getAttribute("customerWishList");
	String check = customerWishListProcessor.computeCheck(cwl);
	pageContext.setAttribute("check", check);
%>
<!-- Start ${pageScope.sscCurrentPage} -->
<div class="col-xs-12 col-md-6">
	<div id="wishListEdit">
		<h2>${fn:escapeXml(wishListAddEditForm.name)}</h2>
		<p class="instructions"><bean:message key="accountWishLists.editInstructions" bundle="/customer"/></p>
		<ul class="nav nav-tabs">
			<li class="active">
				<a href="#wishListItems" data-toggle="tab">
					<bean:message key="wishList.itemsHeading" bundle="/customer"/>
				</a>
			</li>
			<li>
				<a href="#wishListShare" data-toggle="tab">
					<bean:message key="wishList.shareHeading" bundle="/customer"/>
				</a>
			</li>
			<li>
				<a href="#wishListManage" data-toggle="tab">
					<bean:message key="wishList.manageHeading" bundle="/customer"/>
				</a>
			</li>
		</ul>
		<div class="tab-content">
			<div class="tab-pane active" id="wishListItems">
				<c:choose>
					<c:when test="${empty customerWishListProducts or customerWishListProducts['empty']}">
						<p class="instructions"><bean:message key="wishList.wishListEmpty" bundle="/customer"/></p>
					</c:when>
					<c:otherwise>
						<p class="instructions"><bean:message key="wishList.itemsInstructions" bundle="/customer"/></p>
						<ssc:insert page="/WEB-INF/layouts/default-html5/customer/wishListProducts.jsp"/>
					</c:otherwise>
				</c:choose>
			</div>
			<div class="tab-pane" id="wishListShare">
				<p class="instructions"><bean:message key="wishList.shareInstructions" bundle="/customer"/></p>
				<p><bean:message key="wishList.yourURL" bundle="/customer"/>: <code>${customerURL}/WishList.do?wishID=${customerWishList.customerWishListID}_${check}</code></p>
				<p><ssc:link href="${secureURL}/WishList.do?wishID=${customerWishList.customerWishListID}_${check}"><bean:message key="wishList.shareInstructionsLink" bundle="/customer"/></ssc:link></p>
			</div>
			<div class="tab-pane" id="wishListManage">
				<p class="instructions"><bean:message key="wishList.manageInstructions" bundle="/customer"/></p>
				<form name="wishListAddEditForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/WishListEdit.do")%>" method="post">
					<div id="wishListFormGuts">
						<html:hidden name="wishListAddEditForm" property="customerWishListID"/>
						<ssc:insert page="/WEB-INF/layouts/default-html5/customer/wishListAddEditForm.jsp"/>
						<span id="editWishListButton" class="buttonWrap"><input type="submit" class="btn btn-primary" value="<bean:message key="wishList.editButton" bundle="/customer"/>"/></span>
					</div>
				</form>
			</div>
		</div>
		<br />
		<ssc:link href="${secureURL}/AccountWishLists.do"><bean:message key="wishList.review" bundle="/customer"/></ssc:link>
	</div>
</div>
<!-- End ${pageScope.sscCurrentPage} -->
