package com.softslate.commerce.administrator.core;

import java.util.Date;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;
import org.quartz.JobKey;
import org.quartz.Scheduler;
import org.quartz.Trigger;
import org.quartz.impl.StdSchedulerFactory;
import org.quartz.impl.matchers.GroupMatcher;

import com.softslate.commerce.customer.core.BaseAction;
import com.softslate.commerce.customer.core.BaseDynaForm;

/**
 * @author David Tobey
 * 
 */
public class RunQuartzJobAction extends BaseAction {

	static Log log = LogFactory.getLog(RunQuartzJobAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");
		BaseDynaForm baseForm = (BaseDynaForm) form;
		String jobName = mapping.getParameter();
		JobKey jobKey = null;
		Date nextFireTime = null;
		int jobsMatchingName = 0;
		Scheduler scheduler = StdSchedulerFactory.getDefaultScheduler();
		for (String groupName : scheduler.getJobGroupNames()) {
			for (JobKey jk : scheduler.getJobKeys(GroupMatcher.jobGroupEquals(groupName))) {
				if (jk.getName().equals(jobName)) {
					jobsMatchingName++;
					jobKey = jk;
					List<Trigger> triggers = (List<Trigger>) scheduler.getTriggersOfJob(jobKey);
					nextFireTime = triggers.get(0).getNextFireTime();
				}
			}
		}
		if (jobKey != null && jobsMatchingName == 1) {
			scheduler.triggerJob(jobKey);
			baseForm.getMessages().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("messages.detail",
							"Job was run, check the logs for results. Next fire time scheduled: " + nextFireTime));
		} else {
			baseForm.getMessages().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("messages.detail", "Sorry, more than one job matches the name. No job was run."));
		}
		saveMessages(request, baseForm.getMessages());
		if (log.isDebugEnabled())
			log.debug("Finished with Action.");
		return mapping.findForward("success");
	}
}
