package com.softslate.commerce.administrator.email;

import java.util.Arrays;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseSerializableForm;
import com.softslate.commerce.businessobjects.email.Email;

/**
 * Struts form class corresponding to requests to "/administrator/Email.do".
 * Provides properties to control searching, viewing, editing, and deleting
 * records in the <code>sscEmail</code> table.
 * 
 */
public class EmailForm extends BaseSerializableForm {
    private static final long serialVersionUID = 1L;

    static Log log = LogFactory.getLog(EmailForm.class);

    private String idField = "emailID";

    private String entityProperty = "email";

    private Class entity = Email.class;

    private String[] searchableIntFields = { "emailID" };

	private String nameField = "type";

	private String[] searchableFields = { "type", "toEmails", "ccEmails", "bccEmails", "fromEmail", "subject",
			"createdTime", "sendTime", "lastActionTime", "status", "errorMessage", "lastEvent", "lastEventTime",
			"smtpServer" };

	private String[] fields = { "emailID", "orderID", "customerID", "templateID", "type", "toEmails", "ccEmails",
			"bccEmails", "fromEmail", "subject", "bodyHtml", "bodyText", "createdTime", "sendTime", "lastActionTime",
			"status", "errorMessage", "lastEvent", "lastEventTime", "smtpServer" };

	private String[] fieldLables = { "Email ID", "Order", "Customer", "Template", "Type", "To Emails", "Cc Emails",
			"Bcc Emails", "From Email", "Subject", "Body HTML", "Body Text", "Created Time", "Send Time",
			"Last Action Time", "Status", "Error Message", "Last Event", "Last Event Time", "Smtp Server" };

	private String[] displayFields = { "emailID", "type", "toEmails", "fromEmail", "subject", "createdTime",
			"sendTime", "status", "lastEvent", "lastEventTime" };

	private String sortByString = "sendTime";

	private String sortAscOrDesc = "DESC";

    private String formAction = "/Email.do";

    private String addFormAction = "/EmailAddForm.do";

    private String editFormAction = "/EmailEditForm.do";

    private String editDeleteFormAction = "/EmailEditDelete.do";

    public String getIdField() {
        return idField;
    }

    public void setIdField(String idField) {
        this.idField = idField;
    }

    public String[] getFields() {
        return fields;
    }

    public void setFields(String[] fields) {
        this.fields = fields;
    }

    public String[] getFieldLables() {
        return fieldLables;
    }

    public void setFieldLables(String[] fieldLables) {
        this.fieldLables = fieldLables;
    }

    public String[] getDisplayFields() {
        return displayFields;
    }

    public void setDisplayFields(String[] displayFields) {
        this.displayFields = displayFields;
    }

	public String getSortByString() {
		return sortByString;
	}

	public void setSortByString(String sortByString) {
		this.sortByString = sortByString;
	}

	public String getSortAscOrDesc() {
		return sortAscOrDesc;
	}

	public void setSortAscOrDesc(String sortAscOrDesc) {
		this.sortAscOrDesc = sortAscOrDesc;
	}

    public String getFormAction() {
        return formAction;
    }

    public void setFormAction(String formAction) {
        this.formAction = formAction;
    }

    public String getAddFormAction() {
        return addFormAction;
    }

    public void setAddFormAction(String addFormAction) {
        this.addFormAction = addFormAction;
    }

    public String getEditFormAction() {
        return editFormAction;
    }

    public void setEditFormAction(String editFormAction) {
        this.editFormAction = editFormAction;
    }

    public String getEditDeleteFormAction() {
        return editDeleteFormAction;
    }

    public void setEditDeleteFormAction(String editDeleteFormAction) {
        this.editDeleteFormAction = editDeleteFormAction;
    }
    
    public Class getEntity() {
        return entity;
    }

    public void setEntity(Class entity) {
        this.entity = entity;
    }

    public String getEntityProperty() {
        return entityProperty;
    }

    public void setEntityProperty(String entityProperty) {
        this.entityProperty = entityProperty;
    }

    public String getNameField() {
        return nameField;
    }

    public void setNameField(String nameField) {
        this.nameField = nameField;
    }

    public String[] getSearchableFields() {
        return searchableFields;
    }

    public void setSearchableFields(String[] searchableFields) {
        this.searchableFields = searchableFields;
    }

    public String[] getSearchableIntFields() {
        return searchableIntFields;
    }

    public void setSearchableIntFields(String[] searchableIntFields) {
        this.searchableIntFields = searchableIntFields;
    }
    
    private String[] emailID = null;

    public String[] getEmailID() {
        return emailID;
    }

    public void setEmailID(String[] emailID) {
        this.emailID = emailID;
    }
    
	private String[] orderID = null;

	public String[] getOrderID() {
		return orderID;
	}

	public void setOrderID(String[] orderID) {
		this.orderID = orderID;
	}
	
	private String parentOrderID = null;

	public String getParentOrderID() {
		return parentOrderID;
	}

	public void setParentOrderID(String parentOrderID) {
		this.parentOrderID = parentOrderID;
	}
	
	private String[] customerID = null;

	public String[] getCustomerID() {
		return customerID;
	}

	public void setCustomerID(String[] customerID) {
		this.customerID = customerID;
	}
	
	private String parentCustomerID = null;

	public String getParentCustomerID() {
		return parentCustomerID;
	}

	public void setParentCustomerID(String parentCustomerID) {
		this.parentCustomerID = parentCustomerID;
	}
	
	private String[] templateID = null;

	public String[] getTemplateID() {
		return templateID;
	}

	public void setTemplateID(String[] templateID) {
		this.templateID = templateID;
	}

	private String parentTemplateID = null;

	public String getParentTemplateID() {
		return parentTemplateID;
	}

	public void setParentTemplateID(String parentTemplateID) {
		this.parentTemplateID = parentTemplateID;
	}

	private String[] type = null;

	public String[] getType() {
		return type;
	}

	public void setType(String[] type) {
		this.type = type;
	}
	private String[] toEmails = null;

	public String[] getToEmails() {
		return toEmails;
	}

	public void setToEmails(String[] toEmails) {
		this.toEmails = toEmails;
	}
	private String[] ccEmails = null;

	public String[] getCcEmails() {
		return ccEmails;
	}

	public void setCcEmails(String[] ccEmails) {
		this.ccEmails = ccEmails;
	}
	private String[] bccEmails = null;

	public String[] getBccEmails() {
		return bccEmails;
	}

	public void setBccEmails(String[] bccEmails) {
		this.bccEmails = bccEmails;
	}
	private String[] fromEmail = null;

	public String[] getFromEmail() {
		return fromEmail;
	}

	public void setFromEmail(String[] fromEmail) {
		this.fromEmail = fromEmail;
	}
	private String[] subject = null;

	public String[] getSubject() {
		return subject;
	}

	public void setSubject(String[] subject) {
		this.subject = subject;
	}

	private String[] bodyHtml = null;

	public String[] getBodyHtml() {
		return bodyHtml;
	}

	public void setBodyHtml(String[] bodyHtml) {
		this.bodyHtml = bodyHtml;
	}

	private String[] bodyText = null;

	public String[] getBodyText() {
		return bodyText;
	}

	public void setBodyText(String[] bodyText) {
		this.bodyText = bodyText;
	}
	private String[] createdTime = null;

	public String[] getCreatedTime() {
		return createdTime;
	}

	public void setCreatedTime(String[] createdTime) {
		this.createdTime = createdTime;
	}
	private String[] sendTime = null;

	public String[] getSendTime() {
		return sendTime;
	}

	public void setSendTime(String[] sendTime) {
		this.sendTime = sendTime;
	}
	private String[] lastActionTime = null;

	public String[] getLastActionTime() {
		return lastActionTime;
	}

	public void setLastActionTime(String[] lastActionTime) {
		this.lastActionTime = lastActionTime;
	}
	private String[] status = null;

	public String[] getStatus() {
		return status;
	}

	public void setStatus(String[] status) {
		this.status = status;
	}
	private String[] errorMessage = null;

	public String[] getErrorMessage() {
		return errorMessage;
	}

	public void setErrorMessage(String[] errorMessage) {
		this.errorMessage = errorMessage;
	}
	private String[] lastEvent = null;

	public String[] getLastEvent() {
		return lastEvent;
	}

	public void setLastEvent(String[] lastEvent) {
		this.lastEvent = lastEvent;
	}
	private String[] lastEventTime = null;

	public String[] getLastEventTime() {
		return lastEventTime;
	}

	public void setLastEventTime(String[] lastEventTime) {
		this.lastEventTime = lastEventTime;
	}
	private String[] smtpServer = null;

	public String[] getSmtpServer() {
		return smtpServer;
	}

	public void setSmtpServer(String[] smtpServer) {
		this.smtpServer = smtpServer;
	}

	public void setProperties(HttpServletRequest request) {
		super.setProperties(request);
		if (getParentIDField() != null && getParentIDField().equals("parentOrderID")) {
			setParentKey("orderImplementer");
			setM2mChild(false);
		}
		if (getParentIDField() != null && getParentIDField().equals("parentCustomerID")) {
			setParentKey("customerImplementer");
			setM2mChild(false);
		}
		if (getParentIDField() != null && getParentIDField().equals("parentTemplateID")) {
			setParentKey("templateImplementer");
			setM2mChild(false);
		}
	}

    public ActionErrors validate(ActionMapping mapping,
            HttpServletRequest request) {
        if (log.isDebugEnabled())
            log.debug("Starting validation.");
        setProperties(request);
        ActionErrors errors = new ActionErrors();
		if (getEmailID() != null) {
			for (int i = 0; i < getEmailID().length; i++) {
				if (Arrays.asList(getDisplayFields()).contains("type")) {
					if (getType().length < i + 1 || getType()[i] == null || getType()[i].trim().equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "Type"));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("subject")) {
					if (getSubject().length < i + 1 || getSubject()[i] == null || getSubject()[i].trim().equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "Subject"));
					}
				}
			}
		}
        return errors;
    }
}
