package com.softslate.commerce.administrator.email;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;
import com.softslate.commerce.businessobjects.email.Template;
import com.softslate.commerce.businessobjects.email.TemplateProcessor;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class that corresponds to requests to
 * "/administrator/TemplateAdd.do". Processes a request to add a record to the
 * system.
 * 
 */
public class TemplateAddAction extends BaseAction {

	static Log log = LogFactory.getLog(TemplateAddAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		if (log.isDebugEnabled()) log.debug("Starting action.");

		// Add the record
		BaseAdministratorForm baseForm = (BaseAdministratorForm) form;

		TemplateProcessor processor =  baseForm .getBusinessObjectFactory().createObject(TemplateProcessor.class);
		Map results = processor.addTemplate(PropertyUtils.describe(form));
		
		// Successful insert
		if (results == null || results.get("resultCode") == null || results.get("resultCode").equals("0")) {

			// Set the success messages
			baseForm.getMessages().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("messages.recordAdded"));
			if (results != null && results.get("newRecord") != null) {
				Template newRecord = (Template) results.get("newRecord");

				// Set a request scope variable for sub classes to use
				request.setAttribute("newTemplateID", new Integer(newRecord.getTemplateID()));

				baseForm.getMessages().add( ActionMessages.GLOBAL_MESSAGE,
						new ActionMessage("messages.editNewRecord", "TemplateEditForm.do?templateID=" + newRecord.getTemplateID()));
				request.setAttribute("okNotToEscapeMessages", Boolean.TRUE);
			}
			saveMessages(baseForm.getRequest(), baseForm.getMessages());

			// If successful, signal the form to be reinstantiated.
			request.setAttribute("reset", "true");
		}

		return mapping.findForward("success");
	}
}
