package com.softslate.commerce.administrator.payment;

import java.util.Arrays;
import java.util.Collection;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.businessobjects.order.Order;
import com.softslate.commerce.businessobjects.order.OrderProcessor;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class corresponding to requests to
 * <code>/administrator/PaymentAddForm.do</code>. Creates an empty
 * <code>PaymentAddEditForm</code> object.
 * 
 * @author David Tobey
 * 
 */
public class PaymentAddFormAction extends BaseAction {

	static Log log = LogFactory.getLog(PaymentAddFormAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");

		PaymentAddEditForm baseForm = (PaymentAddEditForm) form;

		if (request.getAttribute("reset") != null
				&& request.getAttribute("reset").equals("true")) {
			Class classDefinition = baseForm.getClass();
			baseForm = (PaymentAddEditForm) classDefinition.newInstance();
		}

		baseForm.initializeProperties(mapping, request);
		request.setAttribute("paymentAddEditForm", baseForm);
		baseForm.setOrderID(request.getParameter("orderID"));

		// Load the parent if an id is present
		BusinessObjectFactory bof = (BusinessObjectFactory) request
				.getAttribute("businessObjectFactory");
		Order order = null;
		if (baseForm.getOrderID() != null && baseForm.getOrderID().length() > 0) {
			OrderProcessor processor =  bof
					.createObject(OrderProcessor.class);
			order = processor.loadOrderFromID(PropertyUtils.describe(baseForm));
			request.setAttribute("order", order);
		}

		request.setAttribute("paymentAddEditForm", baseForm);

		// Create breadcrumbing collection
		Collection bcs = Arrays.asList(new String[] { "Home", "Orders",
				"Order Details", "Payments", "Add Payment" });
		request.setAttribute("breadcrumbs", bcs);

		return mapping.findForward("success");
	}
}
