package com.softslate.commerce.administrator.payment;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.administrator.core.BaseSerializableForm;
import com.softslate.commerce.businessobjects.payment.Payment;

/**
 * Struts form class corresponding to requests to "/administrator/Payment.do".
 * Provides properties to control searching, viewing, editing, and deleting
 * records in the <code>sscPayment</code> table.
 * 
 * @author David Tobey
 * 
 */
public class PaymentForm extends BaseSerializableForm {
	private static final long serialVersionUID = 3256728364017268532L;

	static Log log = LogFactory.getLog(PaymentForm.class);

	private String idField = "paymentID";

	private String parentIDField = "orderID";

	private String nameField = "processorClassName";

	private String entityProperty = "payment";

	private Class entity = Payment.class;

	private String[] searchableIntFields = { "paymentID" };

	private String[] searchableFields = { "status", "processorClassName",
			"creditCardName", "creditCardType", "creditCardNumber",
			"creditCardNumberDisplay", "value1", "value2", "value3", "value4",
			"value5", "value6", "value7", "value8", "created", "extra1",
			"extra2", "extra3", "paymentProfileID" };

	private String[] fields = { "paymentID", "status", "processorClassName",
			"valueFieldLabels", "creditCardName", "creditCardType",
			"creditCardDate", "creditCardNumber", "creditCardNumberDisplay",
			"value1", "value2", "value3", "value4", "value5", "value6",
			"value7", "value8", "value9", "created", "amount", "extra1",
			"extra2", "extra3", "paymentProfileID" };

	private String[] fieldLables = { "Payment ID", "Status", "Processor",
			"Field Labels", "CC Name", "CC Type", "CC Date", "CC Number",
			"CC Last 4", "Value 1", "Value 2", "Value 3", "Value 4", "Value 5",
			"Value 6", "Value 7", "Value 8", "Value 9", "Created", "Amount",
			"Extra 1", "Extra 2", "Extra 3", "Payment Profile ID" };

	private String[] displayFields = { "status", "creditCardName",
			"creditCardType", "creditCardDate", "creditCardNumberDisplay" };

	private String sortByString = "processorClassName";

	private String[] cantSortByFields = { "value9" };

	private String formAction = "/Payment.do";

	private String addFormAction = "/PaymentAddForm.do";

	private String editFormAction = "/PaymentEditForm.do";

	private String editDeleteFormAction = "/PaymentEditDelete.do";

	private String orderID = "";

	private String[] paymentID = null;

	private String[] status = null;

	private String[] processorClassName = null;

	private String[] valueFieldLabels = null;

	private String[] creditCardName = null;

	private String[] creditCardType = null;

	private String[] creditCardDate = null;

	private String[] creditCardNumber = null;

	private String[] creditCardNumberDisplay = null;

	private String[] value1 = null;

	private String[] value2 = null;

	private String[] value3 = null;

	private String[] value4 = null;

	private String[] value5 = null;

	private String[] value6 = null;

	private String[] value7 = null;

	private String[] value8 = null;

	private String[] value9 = null;

	private String[] created = null;

	private String[] amount = null;

	private String[] extra1 = null;

	private String[] extra2 = null;

	private String[] extra3 = null;

	private String[] paymentProfileID = null;

	public String[] getCantSortByFields() {
		return cantSortByFields;
	}

	public void setCantSortByFields(String[] cantSortByFields) {
		this.cantSortByFields = cantSortByFields;
	}

	public String[] getCreditCardDate() {
		return creditCardDate;
	}

	public void setCreditCardDate(String[] creditCardDate) {
		this.creditCardDate = creditCardDate;
	}

	public String[] getCreditCardName() {
		return creditCardName;
	}

	public void setCreditCardName(String[] creditCardName) {
		this.creditCardName = creditCardName;
	}

	public String[] getCreditCardNumber() {
		return creditCardNumber;
	}

	public void setCreditCardNumber(String[] creditCardNumber) {
		this.creditCardNumber = creditCardNumber;
	}

	public String[] getCreditCardNumberDisplay() {
		return creditCardNumberDisplay;
	}

	public void setCreditCardNumberDisplay(String[] creditCardNumberDisplay) {
		this.creditCardNumberDisplay = creditCardNumberDisplay;
	}

	public String[] getCreditCardType() {
		return creditCardType;
	}

	public void setCreditCardType(String[] creditCardType) {
		this.creditCardType = creditCardType;
	}

	public String[] getProcessorClassName() {
		return processorClassName;
	}

	public void setProcessorClassName(String[] processorClassName) {
		this.processorClassName = processorClassName;
	}

	public String[] getStatus() {
		return status;
	}

	public void setStatus(String[] status) {
		this.status = status;
	}

	public String[] getValue1() {
		return value1;
	}

	public void setValue1(String[] value1) {
		this.value1 = value1;
	}

	public String[] getValue2() {
		return value2;
	}

	public void setValue2(String[] value2) {
		this.value2 = value2;
	}

	public String[] getValue3() {
		return value3;
	}

	public void setValue3(String[] value3) {
		this.value3 = value3;
	}

	public String[] getValue4() {
		return value4;
	}

	public void setValue4(String[] value4) {
		this.value4 = value4;
	}

	public String[] getValue5() {
		return value5;
	}

	public void setValue5(String[] value5) {
		this.value5 = value5;
	}

	public String[] getValue6() {
		return value6;
	}

	public void setValue6(String[] value6) {
		this.value6 = value6;
	}

	public String[] getValue7() {
		return value7;
	}

	public void setValue7(String[] value7) {
		this.value7 = value7;
	}

	public String[] getValue8() {
		return value8;
	}

	public void setValue8(String[] value8) {
		this.value8 = value8;
	}

	public String[] getValue9() {
		return value9;
	}

	public void setValue9(String[] value9) {
		this.value9 = value9;
	}

	public String[] getCreated() {
		return created;
	}

	public void setCreated(String[] created) {
		this.created = created;
	}

	public String[] getAmount() {
		return amount;
	}

	public void setAmount(String[] amount) {
		this.amount = amount;
	}

	public String[] getValueFieldLabels() {
		return valueFieldLabels;
	}

	public void setValueFieldLabels(String[] valueFieldLabels) {
		this.valueFieldLabels = valueFieldLabels;
	}

	public String getIdField() {
		return idField;
	}

	public void setIdField(String idField) {
		this.idField = idField;
	}

	public String getParentIDField() {
		return parentIDField;
	}

	public void setParentIDField(String parentIDField) {
		this.parentIDField = parentIDField;
	}

	public String[] getFields() {
		return fields;
	}

	public void setFields(String[] fields) {
		this.fields = fields;
	}

	public String[] getFieldLables() {
		return fieldLables;
	}

	public void setFieldLables(String[] fieldLables) {
		this.fieldLables = fieldLables;
	}

	public String[] getDisplayFields() {
		return displayFields;
	}

	public void setDisplayFields(String[] displayFields) {
		this.displayFields = displayFields;
	}

	public String getSortByString() {
		return sortByString;
	}

	public void setSortByString(String sortByString) {
		this.sortByString = sortByString;
	}

	public String getFormAction() {
		return formAction;
	}

	public void setFormAction(String formAction) {
		this.formAction = formAction;
	}

	public String getAddFormAction() {
		return addFormAction;
	}

	public void setAddFormAction(String addFormAction) {
		this.addFormAction = addFormAction;
	}

	public String getEditFormAction() {
		return editFormAction;
	}

	public void setEditFormAction(String editFormAction) {
		this.editFormAction = editFormAction;
	}

	public String getEditDeleteFormAction() {
		return editDeleteFormAction;
	}

	public void setEditDeleteFormAction(String editDeleteFormAction) {
		this.editDeleteFormAction = editDeleteFormAction;
	}

	public String getOrderID() {
		return orderID;
	}

	public void setOrderID(String orderID) {
		this.orderID = orderID;
	}

	public String[] getPaymentID() {
		return paymentID;
	}

	public void setPaymentID(String[] paymentID) {
		this.paymentID = paymentID;
	}

	public Class getEntity() {
		return entity;
	}

	public void setEntity(Class entity) {
		this.entity = entity;
	}

	public String getEntityProperty() {
		return entityProperty;
	}

	public void setEntityProperty(String entityProperty) {
		this.entityProperty = entityProperty;
	}

	public String getNameField() {
		return nameField;
	}

	public void setNameField(String nameField) {
		this.nameField = nameField;
	}

	public String[] getSearchableFields() {
		return searchableFields;
	}

	public void setSearchableFields(String[] searchableFields) {
		this.searchableFields = searchableFields;
	}

	public String[] getSearchableIntFields() {
		return searchableIntFields;
	}

	public void setSearchableIntFields(String[] searchableIntFields) {
		this.searchableIntFields = searchableIntFields;
	}

	public String[] getExtra1() {
		return extra1;
	}

	public void setExtra1(String[] extra1) {
		this.extra1 = extra1;
	}

	public String[] getExtra2() {
		return extra2;
	}

	public void setExtra2(String[] extra2) {
		this.extra2 = extra2;
	}

	public String[] getExtra3() {
		return extra3;
	}

	public void setExtra3(String[] extra3) {
		this.extra3 = extra3;
	}

	public String[] getPaymentProfileID() {
		return paymentProfileID;
	}

	public void setPaymentProfileID(String[] paymentProfileID) {
		this.paymentProfileID = paymentProfileID;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		setProperties(request);
		ActionErrors errors = new ActionErrors();
		return errors;
	}
}
