package com.softslate.commerce.administrator.shipping;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseDynaForm;


/**
 * @author David Tobey
 * 
 */
public class SettingsFormShipping extends BaseDynaForm {

    private static final long serialVersionUID = -7267413762554356419L;

    static Log log = LogFactory.getLog(SettingsFormShipping.class);

    public ActionErrors validate(ActionMapping mapping,
            HttpServletRequest request) {
        if (log.isDebugEnabled())
            log.debug("Starting validation.");
        initializeProperties(mapping, request);
        if (!getFormUtils().stringExists(this, "shippingRequired")) {
            getErrors()
                    .add(
                            ActionMessages.GLOBAL_MESSAGE,
                            new ActionMessage("errors.required",
                                    "Is Shipping Required"));
        }
        if (!getFormUtils().stringExists(this, "isShippingTaxable")) {
            getErrors()
                    .add(
                            ActionMessages.GLOBAL_MESSAGE,
                            new ActionMessage("errors.required",
                                    "Is Shipping Taxable"));
        }
		if (!getFormUtils().stringExists(this, "activeShippingProcessors")) {
            getErrors()
                    .add(
                            ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage(
									"errors.detail",
									"Please select at least one active shipping processor. "
											+ "If you do not need to charge shipping, select the "
											+ "Basic Shipping Processor processor and set the  "
											+ "'Is Shipping Required?' flag to no."));
		}
		String[] statesWhereShippingIsTaxableArray = (String[]) get("statesWhereShippingIsTaxableArray");
		String statesWhereShippingIsTaxable = null;
		for (int i = 0; i < statesWhereShippingIsTaxableArray.length; i++) {
			if (i != 0) {
				statesWhereShippingIsTaxable = statesWhereShippingIsTaxable + ","
						+ statesWhereShippingIsTaxableArray[i];
			} else {
				statesWhereShippingIsTaxable = statesWhereShippingIsTaxableArray[i];
			}
		}
		set("statesWhereShippingIsTaxable", statesWhereShippingIsTaxable);
        return getErrors();
    }

}
