package com.softslate.commerce.administrator.shipping;

import java.util.Map;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;
import com.softslate.commerce.businessobjects.shipping.ShippingRate;
import com.softslate.commerce.businessobjects.shipping.ShippingRateProcessor;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Struts action class that corresponds to requests to
 * "/administrator/ShippingRateAdd.do". Processes a request to add a record to
 * the system.
 * 
 * @author David Tobey
 * 
 */
public class ShippingRateAddAction extends BaseAction {

	static Log log = LogFactory.getLog(ShippingRateAddAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");

		// Add the record
		BaseAdministratorForm baseForm = (BaseAdministratorForm) form;

		ShippingRateProcessor processor = (ShippingRateProcessor) baseForm
				.getBusinessObjectFactory().createObject(
						"shippingRateProcessorImplementer");
		Map results = processor.addShippingRate(PropertyUtils.describe(form));

		// Set the success message
		baseForm.getMessages().add(ActionMessages.GLOBAL_MESSAGE,
				new ActionMessage("messages.recordAdded"));
		if (results != null && results.get("newRecord") != null) {
			ShippingRate newRecord = (ShippingRate) results.get("newRecord");

			// entity.jsp wants the new record in the request scope.
			request.setAttribute("shippingRate", newRecord);
			String link = "ShippingRateEditForm.do?shippingRateID=" + newRecord.getShippingRateID();
			baseForm.getMessages()
					.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("messages.editNewRecord", link));
			request.setAttribute("okNotToEscapeMessages", Boolean.TRUE);
		}
		saveMessages(baseForm.getRequest(), baseForm.getMessages());
		
		// If successful, signal the form to be reinstantiated.
		request.setAttribute("reset", "true");

		return mapping.findForward("success");
	}
}
