package com.softslate.commerce.businessobjects.order;

import java.io.Serializable;

import com.softslate.commerce.businessobjects.core.BaseBusinessObject;

/**
 * Object representing an order number within the system.
 * <code>OrderNumberBean</code> is the default implementation of the
 * <code>OrderNumber</code> interface for the application.
 * <p>
 * The database stores orders in the <code>sscOrderNumber</code> table, and this
 * interface can be used to represent a single row of that table. The Hibernate
 * configuration file <code>OrderNumberBean.hbm.xml</code> maps that table's
 * columns to the properties in this object.
 * 
 * @author David Tobey
 * 
 * @see com.softslate.commerce.businessobjects.order.OrderNumber
 */
public class OrderNumberBean extends BaseBusinessObject implements OrderNumber,
		Serializable {

	private static final long serialVersionUID = 1L;

	private int orderNumber;

	public int getOrderNumber() {
		return orderNumber;
	}

	public void setOrderNumber(int orderNumber) {
		this.orderNumber = orderNumber;
	}

}
