package com.softslate.commerce.customer.order;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * Struts action class for submissions to view the checkout addresses/shipping
 * combo form. Used for requests to "/Checkout.do", if the user has not yet
 * entered address information and the system is set to combine the shipping and
 * address forms.
 * <p>
 * The <code>execute</code> method of this class invokes
 * {@link com.softslate.commerce.customer.order.CheckoutAction#prepareCheckoutAddressesForm}
 * followed by
 * {@link com.softslate.commerce.customer.order.CheckoutAction#prepareCheckoutShippingForm}
 * to prepare the checkout addresses/shipping combo form.
 * 
 * @author David Tobey
 */
public class CheckoutComboShippingFormAction extends CheckoutAction {
	static Log log = LogFactory.getLog(CheckoutComboShippingFormAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isInfoEnabled())
			log.info("Starting action.");
		// Initialize a CheckoutAddressForm
		CheckoutAddressesForm baseForm = (CheckoutAddressesForm) form;
		baseForm.setServlet(getServlet());
		baseForm.initializeProperties(mapping, request);

		// Prepare the form.
		prepareCheckoutAddressesForm(baseForm);
		prepareCheckoutShippingForm(baseForm);
		return baseForm.getMapping().findForward("success");
	}

}
