package com.softslate.commerce.customer.order;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.customer.core.BaseForm;


/**
 * Struts action class for submissions to view the checkout payment form. Used
 * for requests to "/Checkout.do", if the user has entered in all the required
 * address information and selected a shipping option.
 * <p>
 * The <code>execute</code> method of this class invokes
 * {@link com.softslate.commerce.customer.order.CheckoutAction#preparePaymentForms(BaseForm)}
 * to prepare the payment form(s).
 * 
 * @author David Tobey
 * @version $Id: CheckoutPaymentFormAction.java,v 1.2 2004/10/21 05:08:58 dtobey
 *          Exp $
 */
public class CheckoutPaymentFormAction extends CheckoutAction {
	static Log log = LogFactory.getLog(CheckoutPaymentFormAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isInfoEnabled())
			log.info("Starting action.");
		// Initialize a new BaseForm to act as a helper.
		BaseForm baseForm = new BaseForm();
		baseForm.setServlet(getServlet());
		baseForm.initializeProperties(mapping, request);

		// Prepare the payment forms.
		preparePaymentForms(baseForm);
		return baseForm.getMapping().findForward("success");
	}

}
