package com.softslate.commerce.customer.payment;

import java.text.SimpleDateFormat;
import java.util.Date;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

public class PayPalUKDirectForm extends PayflowProForm {

	private static final long serialVersionUID = 1L;

	static Log log = LogFactory.getLog(PayflowLinkForm.class);

	private String ccFirstName;

	private String ccLastName;

	private String ipAddress = null;

	private String ccIssueNumber;

	private String creditCardStartMonth;

	private String creditCardStartYear;

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");

		super.validate(mapping, request);
		setIpAddress(request.getRemoteAddr());
		validateSwitchSoloCardParams();
		if (log.isDebugEnabled())
			log.debug("Finished validation.");
		if (log.isInfoEnabled() && !getErrors().isEmpty())
			log.info("Validation error(s): " + getErrors().toString());

		return getErrors();
	}

	protected void validateSwitchSoloCardParams() {
		if (this.getCreditCardType() != null
				&& (this.getCreditCardType().equalsIgnoreCase("SWITCH") || this
						.getCreditCardType().equalsIgnoreCase("SOLO"))) {
			boolean issueNumberPresent = presentIssueNumber();
			boolean issueMonthYearPresent = presentIssueMonthYear();

			if (!issueNumberPresent && !issueMonthYearPresent) {
				String message = getMessage("order",
						"paymentForms.ccIssueOrMonthYearNumber", null);
				getErrors().add(ActionMessages.GLOBAL_MESSAGE,
						new ActionMessage("errors.detail", message));
				return;
			}
			if (issueMonthYearPresent) {
				boolean proceed = true;
				if (getCreditCardStartMonth() == null
						|| getCreditCardStartMonth().length() == 0) {
					String message = getMessage("order",
							"paymentForms.ccCardIssue", null);
					getErrors().add(ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage("errors.required", message));
					proceed = false;
				}
				if (getCreditCardStartYear() == null
						|| getCreditCardStartYear().length() == 0) {
					String message = getMessage("order",
							"paymentForms.ccCardIssue", null);
					getErrors().add(ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage("errors.required", message));
					proceed = false;
				}
				if (!proceed)
					return;

				SimpleDateFormat formatter = new SimpleDateFormat("yyyy",
						getUser().getLocale());
				String thisYearString = formatter.format(new Date());
				int thisYear = Integer.parseInt(thisYearString);
				if (Integer.parseInt(getCreditCardStartYear()) > thisYear)
					getErrors().add(ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage("errors.invalidStartDate"));

				if (Integer.parseInt(getCreditCardStartYear()) == thisYear) {
					formatter = new SimpleDateFormat("MM", getUser()
							.getLocale());
					String thisMonthString = formatter.format(new Date());
					int thisMonth = Integer.parseInt(thisMonthString);
					if (Integer.parseInt(getCreditCardStartMonth()) > thisMonth)
						getErrors().add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.invalidStartDate"));

				}
			}
		} // End of if card_type = sole or switch

	}

	private boolean presentIssueMonthYear() {

		if ((getCreditCardStartMonth() == null || getCreditCardStartMonth()
				.length() == 0)
				&& (getCreditCardStartYear() == null || getCreditCardStartYear()
						.length() == 0)) {
			return false;
		}
		return true;
	}

	private boolean presentIssueNumber() {
		if (this.getCcIssueNumber() == null || getCcIssueNumber().length() == 0)
			return false;

		return true;
	}

	public void validateName() {
		if (getCcFirstName() == null || getCcFirstName().length() == 0) {
			String message = getMessage("order", "paymentForms.ccFirstName",
					null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", message));
		}
		if (getCcLastName() == null || getCcLastName().length() == 0) {
			String message = getMessage("order", "paymentForms.ccLastName",
					null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", message));

		}

	}

	public String getCcLastName() {
		return ccLastName;
	}

	public void setCcLastName(String lastName) {
		this.ccLastName = lastName;
	}

	public String getCcFirstName() {
		return ccFirstName;
	}

	public void setCcFirstName(String ccFirstName) {
		this.ccFirstName = ccFirstName;
	}

	public String getIpAddress() {
		return ipAddress;
	}

	public void setIpAddress(String ipAddress) {
		this.ipAddress = ipAddress;
	}

	/**
	 * @return the ccIssueNumber
	 */
	public String getCcIssueNumber() {
		return ccIssueNumber;
	}

	/**
	 * @param ccIssueNumber
	 *            the ccIssueNumber to set
	 */
	public void setCcIssueNumber(String ccIssueNumber) {
		this.ccIssueNumber = ccIssueNumber;
	}

	/**
	 * @return the creditCardStartMonth
	 */
	public String getCreditCardStartMonth() {
		return creditCardStartMonth;
	}

	/**
	 * @param creditCardStartMonth
	 *            the creditCardStartMonth to set
	 */
	public void setCreditCardStartMonth(String creditCardStartMonth) {
		this.creditCardStartMonth = creditCardStartMonth;
	}

	/**
	 * @return the creditCardStartYear
	 */
	public String getCreditCardStartYear() {
		return creditCardStartYear;
	}

	/**
	 * @param creditCardStartYear
	 *            the creditCardStartYear to set
	 */
	public void setCreditCardStartYear(String creditCardStartYear) {
		this.creditCardStartYear = creditCardStartYear;
	}

}
