package com.softslate.commerce.customer.product;

import java.io.PrintWriter;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.BeanUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.google.gson.Gson;
import com.softslate.commerce.businessobjects.product.LuceneSearcher;
import com.softslate.commerce.businessobjects.product.SearchList;
import com.softslate.commerce.customer.core.BaseAction;

/**
 * Action class used to pull out facet counts to update the search filter.
 */
public class FacetCountsAction extends BaseAction {

	static Log log = LogFactory.getLog(FacetCountsAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request,
			HttpServletResponse response) throws Exception {
		if (log.isInfoEnabled())
			log.info("Starting action.");
		FacetCountsForm baseForm = (FacetCountsForm) form;

		// First create the processor to do the searching
		LuceneSearcher luceneSearcher = (LuceneSearcher) baseForm.getBusinessObjectFactory().createObject(
				"luceneSearcherImplementer");

		// Create a SearchList helper bean
		SearchList searchList =  baseForm.getBusinessObjectFactory().createObject(SearchList.class);
		BeanUtils.copyProperties(searchList, baseForm);
		searchList.setSearchListType(Integer.parseInt(baseForm.getType()));

		// Set the path to the index
		searchList.setIndexDir(baseForm.getIndexDir());

		// Load the counts
		searchList = luceneSearcher.getFacetCounts(searchList);

		// Serialize to json
		response.setContentType("text/json");
		PrintWriter out = response.getWriter();
		out.println(new Gson().toJson(searchList.getSimpleFacetResultMap()));
		out.flush();
		return null;
	}
}
