package com.softslate.commerce.daos.core;

import java.util.Collection;
import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO that runs miscellaneous queries related to the request
 * log.
 * 
 * @author David Tobey
 * 
 */
public interface RequestLogGatewayDAO extends DAOInterface {
	abstract Map loadRequestLogsAndCount(Map parameters) throws Exception;

	abstract Map editDeleteRequestLogs(Map parameters,
			BusinessObjectFactory bof) throws Exception;

	abstract Collection loadDistinctSessionIDsFromOrderID(int i)
			throws DataAccessException;

	abstract Collection loadDistinctSessionIDsFromCustomerID(int i)
			throws DataAccessException;

	abstract Collection loadRequestLogStatistics() throws Exception;

	abstract int pruneRequestLog(boolean commit, Map parameters)
			throws DataAccessException;
}
