package com.softslate.commerce.daos.customer;

import com.softslate.commerce.businessobjects.customer.CustomerWishList;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO to manage the <code>sscCustomerWishList</code> table of
 * the database.
 * 
 * @author Jason McWilliams
 */
public interface CustomerWishListDAO extends DAOInterface {
    abstract CustomerWishList getCustomerWishList();

    abstract void setCustomerWishList(CustomerWishList customerWishList);

    abstract void insertCustomerWishList() throws Exception;

    abstract void insertCustomerWishList(boolean commit) throws Exception;

    abstract void updateCustomerWishList() throws Exception;

    abstract void updateCustomerWishList(boolean commit) throws Exception;

    abstract void loadCustomerWishListFromID() throws Exception;

    abstract void deleteCustomerWishList() throws Exception;

    abstract void deleteCustomerWishList(boolean commit) throws Exception;

}
