package com.softslate.commerce.daos.product;

import com.softslate.commerce.businessobjects.product.Discount;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO to manage the <code>sscDiscount</code> table of the
 * database.
 * 
 * @author David Tobey
 */
public interface DiscountDAO extends DAOInterface {
    abstract Discount getDiscount();

    abstract void setDiscount(Discount discount);

    abstract void loadDiscountFromID() throws Exception;

    abstract void loadDiscountFromCode() throws Exception;

    abstract void insertDiscount() throws Exception;

    abstract void insertDiscount(boolean commit) throws Exception;

    abstract void updateDiscount() throws Exception;

    abstract void updateDiscount(boolean commit) throws Exception;

    abstract void deleteDiscount() throws Exception;

    abstract void deleteDiscount(boolean commit) throws Exception;
}
