package com.softslate.commerce.daos.product;

import java.util.Collection;
import java.util.LinkedHashSet;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.hibernate.HibernateException;
import org.hibernate.Query;
import org.hibernate.Session;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.BaseAdminGatewayDAOHibernate;

/**
 * Generic DAO that runs miscellaneous queries related to manufacturers.
 * 
 * @author David Tobey
 */
public class ManufacturerGatewayDAOHibernate extends BaseAdminGatewayDAOHibernate implements ManufacturerGatewayDAO {

	static Log log = LogFactory.getLog(ManufacturerGatewayDAOHibernate.class);

	public Map loadManufacturersAndCount(Map parameters) throws Exception {
		return loadItemsAndCount(parameters);
	}

	public Map editDeleteManufacturers(Map parameters, BusinessObjectFactory bof) throws Exception {
		Map result = editDeleteItems(parameters, bof);
		evictCache();
		return result;
	}

	public Collection loadAllManufacturers() throws Exception {
		Collection results = null;
		Session session = getDaoFactory().startSession();
		try {
			Query q = getNamedQuery(session, "manufacturer.selectAll");
			results = new LinkedHashSet(q.list());
		} catch (HibernateException he) {
			log.error("Hibernate error: " + he.toString(), he);
		}
		return results;
	}

	public Collection loadActiveManufacturers() throws Exception {
		Collection results = null;
		Session session = getDaoFactory().startSession();
		try {
			Query q = getNamedQuery(session, "manufacturer.selectActive");
			results = new LinkedHashSet(q.list());
		} catch (HibernateException he) {
			log.error("Hibernate error: " + he.toString(), he);
		}
		return results;
	}
}
