package com.softslate.commerce.daos.shipping;

import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO that runs miscellaneous queries related to shipping
 * rates.
 * 
 * @author David Tobey
 * 
 */
public interface ShippingRateGatewayDAO extends DAOInterface {
    abstract Map loadShippingRatesAndCount(Map parameters) throws Exception;

    abstract Map editDeleteShippingRates(Map parameters,
            BusinessObjectFactory bof) throws Exception;
}
