package com.softslate.commerce.daos.shipping;

import com.softslate.commerce.businessobjects.shipping.ShippingRuleRange;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO to manage the <code>sscShippingRuleRange</code> table of
 * the database.
 * 
 * @author Jason McWilliams
 */
public interface ShippingRuleRangeDAO extends DAOInterface {
    abstract ShippingRuleRange getShippingRuleRange();

    abstract void setShippingRuleRange(ShippingRuleRange shippingRuleRange);

    abstract void loadShippingRuleRangeFromID() throws Exception;

    abstract void insertShippingRuleRange() throws Exception;

    abstract void insertShippingRuleRange(boolean commit) throws Exception;

    abstract void updateShippingRuleRange() throws Exception;

    abstract void updateShippingRuleRange(boolean commit) throws Exception;

    abstract void deleteShippingRuleRange() throws Exception;

    abstract void deleteShippingRuleRange(boolean commit) throws Exception;
}
