create table sscTemplate (
	templateID int4 not null default nextval('hibernate_sequence'::text), 
	code varchar(255) not null unique,
	type varchar(255) not null,
	subject varchar(255),
	description text,
	bodyHtml text,
	bodyText text,
	isActive bool not null default false,
	class varchar(255) not null DEFAULT 'com.softslate.commerce.businessobjects.email.TemplateBean',
	primary key (templateID)
);

create table sscEmail (
	emailID int4 not null default nextval('hibernate_sequence'::text), 
	orderID int4,
	customerID int4,
	templateID int4,
	type varchar(255),
	toEmails varchar(255),
	ccEmails varchar(255),
	bccEmails varchar(255),
	fromEmail varchar(255),
	subject varchar(255),
	bodyHtml text,
	bodyText text,
	createdTime varchar(30),
	sendTime varchar(30),
	lastActionTime varchar(30),
	status varchar(255) not null DEFAULT 'Unattempted',
	errorMessage varchar(255),
	lastEvent varchar(255),
	lastEventTime varchar(30),
	smtpServer varchar(255),
	class varchar(255) not null DEFAULT 'com.softslate.commerce.businessobjects.email.EmailBean',
	primary key (emailID)
);

alter table sscEmail add constraint FK_Email_orderID foreign key (orderID) references sscOrder ON DELETE SET NULL;
alter table sscEmail add constraint FK_Email_customerID foreign key (customerID) references sscCustomer ON DELETE SET NULL;
alter table sscEmail add constraint FK_Email_templateID foreign key (templateID) references sscTemplate ON DELETE SET NULL;
CREATE INDEX IDX_sscEmail_type ON sscEmail (type);
CREATE INDEX IDX_sscEmail_toEmails ON sscEmail (toEmails);
CREATE INDEX IDX_sscEmail_createdTime ON sscEmail (createdTime);

CREATE TABLE sscEmailOptOut (
	emailOptOutID int4 not null default nextval('hibernate_sequence'::text), 
	emailAddress varchar(255) not null,
	createdTime varchar(30) not null,
	type varchar(50) not null,
	class varchar(255) DEFAULT 'com.softslate.commerce.businessobjects.email.EmailOptOutBean',
	primary key (emailOptOutID),
	unique (emailAddress, type)
);
CREATE INDEX IDX_sscEmailOptOut_sscEmailOptOut ON sscEmailOptOut (createdTime);
