ALTER TABLE npcSKU CHANGE productID productID INT NULL;

CREATE TABLE npcProductSetting (
  productSettingID INT(11) NOT NULL AUTO_INCREMENT,
  productID INT(11) NOT NULL,
  code VARCHAR(100) NOT NULL DEFAULT '',
  name VARCHAR(255) DEFAULT NULL,
  description VARCHAR(255) DEFAULT NULL,
  type VARCHAR(100) DEFAULT NULL,
  valueType VARCHAR(16) NOT NULL,
  integerValue INT(11) DEFAULT NULL,
  smallValue VARCHAR(64) DEFAULT NULL,
  mediumValue VARCHAR(255) DEFAULT NULL,
  textValue TEXT,
  PRIMARY KEY  (productSettingID),
  UNIQUE KEY productSettingUKey (productID, code),
  KEY productIDIndex (productID),
  FOREIGN KEY (`productID`) REFERENCES `npcProduct` (`productID`) ON DELETE CASCADE
);

CREATE TABLE npcCategorySetting (
  categorySettingID INT(11) NOT NULL AUTO_INCREMENT,
  categoryID INT(11) NOT NULL,
  code VARCHAR(100) NOT NULL DEFAULT '',
  name VARCHAR(255) DEFAULT NULL,
  description VARCHAR(255) DEFAULT NULL,
  type VARCHAR(100) DEFAULT NULL,
  valueType VARCHAR(16) NOT NULL,
  integerValue INT(11) DEFAULT NULL,
  smallValue VARCHAR(64) DEFAULT NULL,
  mediumValue VARCHAR(255) DEFAULT NULL,
  textValue TEXT,
  PRIMARY KEY  (categorySettingID),
  UNIQUE KEY categorySettingUKey (categoryID, code),
  KEY categoryIDIndex (categoryID),
  FOREIGN KEY (`categoryID`) REFERENCES `npcCategory` (`categoryID`) ON DELETE CASCADE
);
