UPDATE sscSetting SET smallValue='3.1.2' WHERE code='dataObjectsVersion';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('avataxURL','AvaTax URL','The URL to the AvaTax online service. Use <tt>https://development.avalara.net</tt> for development and testing. Use <tt>https://avatax.avalara.net</tt> for production.','AVATAX', 'mediumValue',NULL,NULL,'https://development.avalara.net',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('avataxAccount','AvaTax Account Number','Your Avalara AvaTax account number.','AVATAX', 'smallValue',NULL,'',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('avataxLicense','AvaTax License Key','Your Avalara AvaTax license key.','AVATAX', 'smallValue',NULL,'',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('avataxCompanyCode','AvaTax Company Code','The company code sent by the system with requests to Avalara. This must match the Company Code set up in the AvaTax dashboard. If left blank it will attempt to find a default company in the AvaTax dashboard.','AVATAX', 'smallValue',NULL,'',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('avataxDocCodePrefix','AvaTax Doc Code Prefix','The prefix of the doc code sent by the system with requests to Avalara. It will be prepended to the order ID of the order being processed.','AVATAX', 'smallValue',NULL,'TaxRequest-',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('avataxDocType','AvaTax Doc Type','The doc type sent by the system with requests to Avalara.','AVATAX', 'smallValue',NULL,'SalesOrder',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('avataxCustomerCode','AvaTax Customer Code','The customer code sent by the system with requests to Avalara.','AVATAX', 'smallValue',NULL,'Ecommerce',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('avataxSalespersonCode','AvaTax Salesperson Code','The optional salesperson code sent by the system with requests to Avalara.','AVATAX', 'smallValue',NULL,'',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('avataxLocationCode','AvaTax Location Code','The optional location code sent by the system with requests to Avalara.','AVATAX', 'smallValue',NULL,'',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('avataxShippingTaxCode','AvaTax Shipping Tax Code','The AvaTax Tax Code to be used for the shipping line of each order.','AVATAX', 'smallValue',NULL,'FR020200',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('avataxOriginLine1','Origin Address Line 1','Line 1 of the origin address for the shipment.','AVATAX', 'mediumValue',NULL,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('avataxOriginLine2','Origin Address Line 2','Line 2 of the origin address for the shipment.','AVATAX', 'mediumValue',NULL,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('avataxOriginLine3','Origin Address Line 3','Line 3 of the origin address for the shipment.','AVATAX', 'mediumValue',NULL,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('avataxOriginCity','Origin Address City','The city of the origin address for the shipment.','AVATAX', 'mediumValue',NULL,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('avataxOriginRegion','Origin Address Region','The state or province of the origin address for the shipment. For US states, use the two-character code such as NY, CA, etc.','AVATAX', 'mediumValue',NULL,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('avataxOriginPostalCode','Origin Address Postal Code','The postal code of the origin address for the shipment. For the US, use the ZIP code.','AVATAX', 'mediumValue',NULL,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('avataxOriginCountry','Origin Address Country','The country of the origin address for the shipment. For the US, use USA.','AVATAX', 'mediumValue',NULL,NULL,'USA',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('luceneAnalyzer','Lucene Analyzer','The textual Analyzer used by Lucene to index content and parse queries. The Snowball Analyzer adds support for term stemming, such as matching plurals and lowercase terms with each other. After changing this setting, the advanced search index should be reindexed.','LUCENE','smallValue',NULL,'Standard',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('advancedSearchHighlightedExcerpts','Display Highlighted Excerpts?','If set to yes, below each search result, an excerpt of the most relevant parts of the textual content of each item will be displayed with the search term highlighted within.','LUCENE','booleanValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('advancedSearchNumberOfFragments','Number of Fragments in Highlighted Excerpts','The maximum number of fragments displayed in each excerpt. Each fragment is separated by an ellipsis (...).','LUCENE','integerValue',3,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('advancedSearchFragmentLength','Fragment Length in Highlighted Excerpts','The number of characters displayed surrounding the search term in each fragment of each excerpt. The value is not followed precisely, since the system attempts to divide the fragments at common boundaries such as words and sentences.','LUCENE','integerValue',100,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('fontSize','Font Size','The font size in effect for the store. Use a valid CSS format such as <strong>12pt</strong>, <strong>14px</strong>, or <strong>90%</strong>. Leave blank to use the font size defined in the CSS theme, which is typically <strong>78%</strong>. (Applies only to the default-xhtml Base Layout.)','GENERALDISPLAY','smallValue',NULL,'',NULL,NULL);
