UPDATE sscSetting SET smallValue='3.4.0' WHERE code='dataObjectsVersion';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('advancedSearchEnableSuggestions','Enable Suggestions','If set to yes, a index of pop-up suggestions for the search box will be generated whenever Advanced Search is indexed.','LUCENE', 'booleanValue',0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('advancedSearchEnableProductSuggestions','Enable Product Suggestions','If set to yes, products matching the user input will be included in the popup of suggestions under the search box.','LUCENE', 'booleanValue',0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('advancedSearchEnableCategorySuggestions','Enable Category Suggestions','If set to yes, categories matching the user input will be included in the popup of suggestions under the search box.','LUCENE', 'booleanValue',0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('advancedSearchEnableManufacturerSuggestions','Enable Manufacturer Suggestions','If set to yes, manufacturers matching the user input will be included in the popup of suggestions under the search box.','LUCENE', 'booleanValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('advancedSearchSuggestionsMatchStyle','Advanced Search Suggestions Match Style','The technique the system should use to match suggestions in the Lucene Suggestions Index. They are listed in rough order from narrowest to broadest.','LUCENE', 'smallValue',NULL,'prefixWildcard',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('advancedSearchSuggestionsFuzziness','Advanced Search Suggestions Fuzziness','A factor from 0.0 to 1.0 that tells the system how fuzzy suggestion searches should be. A higher value will cause fuzzy suggestion searches to be less fuzzy (ie, narrower). A lower value will cause fuzzy searches to be broader. This setting only applies if a fuzzy option is chose in the Advanced Search Suggestions Match Style setting.','LUCENE', 'smallValue',NULL,'0.50',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('advancedSearchSuggestionsMaxResults','Advanced Search Suggestions Max Results','The maximum number of suggestions to return from a search against the Suggestions Index.','LUCENE', 'integerValue',50,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('storeLocale','Store Locale','If not blank, the locale for the store used to format messages and currency will be forced to this value. Eg: en-US. If left blank, the locale identified by the browser request header will be used.','ADVANCEDSYSTEM', 'smallValue',NULL,'',NULL,NULL);

UPDATE sscSetting SET description = 'Legacy name-value pairs integration method only: The URL to the Authorize.net payment gateway. Use <strong>https://secure.authorize.net/gateway/transact.dll</strong> for live accounts and <strong>https://test.authorize.net/gateway/transact.dll</strong> for test accounts.' WHERE code = 'authorizeNetURL';
UPDATE sscSetting SET description = 'If set to 1, transactions will be sent to Authorize.net as test requests and the above Login ID and Transaction Key should be for a developer account on sandbox.authorize.net.' WHERE code = 'authorizeNetTestRequest';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetEnableAcceptJS','Authorize.net Enable Accept.js?','Enables the Accept.js feature with Authorize.net. Rather than submitting payment information to the application, the browser will submit it directly to Authorize.net, retrieve a token, and submit the token to the application. The token will be used by the application to submit the transaction to Authorize.net.','authorizeNet', 'booleanValue', '0',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetAcceptJSPublicClientKey','Authorize.net Accept.js Public Client Key','To use Accept.js you must create a Client Key. Log in to the Authorize.Net merchant interface and navigate to Account > Settings > Security Settings > General Security Settings > Manage Public Client Key. Create the key and paste it here.','authorizeNet', 'mediumValue', NULL,NULL,'',NULL);

UPDATE sscSetting SET description = 'If true, the checkout process will feature a single screen with address, shipping, and payment form fields, rather than separate screens. (Overrides Use Combined Address and Shipping setting.) <strong>Warning: This option cannot be used with some payment methods such as Authorize.net DPM, CRE Secure, and the Accept.js option under Authorize.net AIM.</strong>' WHERE code = 'useCheckoutCombo';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('enableAPIRequests','Enable API Requests?','Enables API requests to /api. (Documentation at /administrator/apiReference/index.html.) Turn this off to prevent API calls to the system globally.','ADVANCEDSYSTEM', 'booleanValue', '0',NULL,NULL,NULL);

