<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<% java.util.Collection assignedItems = (java.util.Collection) request.getAttribute("assignedItems");
if (assignedItems == null) assignedItems = new java.util.ArrayList(); %>
<c:set var="thisIDField" value="${mainForm.idField}"/>

<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>
<%-- Legacy cell bg colors - hard coded --%>
<c:set var="gridBgColor" value="#FFFFFF"/>
<c:set var="altGridBgColor" value="#f3f3f3"/>
<c:set var="bgColor" scope="request" value="#f3f3f3"/>

<!-- Start dataTable.jsp -->
<ssc:insert attribute="controlScreenVariables"/>
<c:choose>
	<c:when test="${empty itemCollection}">
		<tr><td colspan="3"><bean:message key="administrator.noItems" bundle="/administrator/administrator"/></td></tr>
	</c:when>
	<c:otherwise>
		<bean:define id="displayFieldArray" name="mainForm" property="displayFields" type="java.lang.String[]"/>
		<% int numberOfColumns = displayFieldArray.length; %>
		<% request.setAttribute("numberOfColumns", Integer.toString(numberOfColumns)); %> 
		<c:if test="${empty outputMode or outputMode eq 'screen'}">
			<c:choose>
				<c:when test="${mainForm.editMode ne 'true' and (mainForm.entityProperty eq 'order' or (empty mainForm.assignments and mainForm.entityProperty eq 'product'))}">
					<form name="editDeleteForm" action="<c:out value="${settings.map.administratorURL}${mainForm.processSelectedAction}"/>" method="post">
				</c:when>
				<c:otherwise>
					<form name="editDeleteForm" action="<c:out value="${editDeleteFormAction}"/>" method="post">
				</c:otherwise>
			</c:choose>
			<html:hidden name="mainForm" property="itemsPerPage"/>
			<html:hidden name="mainForm" property="firstRow"/>
			<html:hidden name="mainForm" property="editMode"/>
			<html:hidden name="mainForm" property="searchString"/>
			<html:hidden name="mainForm" property="sortByString"/>
			<html:hidden name="mainForm" property="sortAscOrDesc"/>
			<logic:iterate collection="<%= displayFieldArray %>" id="displayField" type="java.lang.String">
				<input type="hidden" name="displayFields" value="<%= displayField %>" />
			</logic:iterate>
			<c:if test="${!empty parentIDField}">
				<input type="hidden" name="parentIDField" value="<c:out value="${parentIDField}"/>"/>
				<input type="hidden" name="<c:out value="${parentIDField}"/>" value="<c:out value="${parentIDValue}"/>"/>
			</c:if>
			<c:if test="${(mainForm.entityProperty eq 'attribute' or mainForm.entityProperty eq 'option' or mainForm.entityProperty eq 'discountRange') and !empty mainForm.productID}">
				<html:hidden name="mainForm" property="productID"/>
			</c:if>
			<c:if test="${mainForm.entityProperty eq 'discountRange' and !empty mainForm.skuID}">
				<html:hidden name="mainForm" property="skuID"/>
			</c:if>
			<c:if test="${mainForm.entityProperty eq 'order' and !empty mainForm.workWithOrders}">
				<html:hidden name="mainForm" property="workWithOrders"/>
			</c:if>
			<c:if test="${mainForm.entityProperty eq 'category' and !empty mainForm.workWithCategories}">
				<html:hidden name="mainForm" property="workWithCategories"/>
			</c:if>
			<c:if test="${mainForm.entityProperty eq 'requestLog' and !empty mainForm.workWithRequests}">
				<html:hidden name="mainForm" property="workWithRequests"/>
			</c:if>
			<c:if test="${!empty mainForm.assignments}">
				<html:hidden name="mainForm" property="assignments"/>
			</c:if>
		</c:if>
		<logic:iterate name="itemCollection" id="item" indexId="j">
			<c:choose>
				<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
				<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
			</c:choose>
			<c:choose>
				<c:when test="${requestScope.bgColor eq altGridBgColor}"><c:set var="bgColor" scope="request" value="${gridBgColor}"/></c:when>
				<c:otherwise><c:set var="bgColor" scope="request" value="${altGridBgColor}"/></c:otherwise>
			</c:choose>
			<c:set var="j" scope="request" value="${j}"/>
			<c:set var="item" value="${item}" scope="request"/>
			<c:set var="itemID" value="${item[thisIDField]}" scope="request"/>
			<tr class="<c:out value="${requestScope.thisClass}"/>">
				<c:if test="${empty outputMode or outputMode eq 'screen'}">
					<c:if test="${mainForm.outputMode eq 'screen'}">

						<%-- Details column --%>
						<% numberOfColumns++; %>
						<td>
							<html:hidden name="item" property="${thisIDField}"/>
							<a href="<c:out value="${editFormAction}"/>?<c:out value="${thisIDField}"/>=<c:out value="${item[thisIDField]}"/>&amp;parentIDField=<c:out value="${parentIDField}"/><c:if test="${(mainForm.entityProperty eq 'discount' or mainForm.entityProperty eq 'discountRange') and !empty mainForm.skuID}">&amp;skuID=<c:out value="${mainForm.skuID}"/></c:if><c:if test="${(mainForm.entityProperty eq 'attribute' or mainForm.entityProperty eq 'option' or mainForm.entityProperty eq 'discount' or mainForm.entityProperty eq 'discountRange') and !empty mainForm.productID}">&amp;productID=<c:out value="${mainForm.productID}"/></c:if>">
								<c:choose><c:when test="${childName eq 'Details'}">Overview</c:when><c:otherwise>Details</c:otherwise></c:choose>
							</a>
						</td>
						
						<%-- Link to child screen --%>
						<c:if test="${!empty mainForm.childEditAction}">
							<% numberOfColumns++; %>
							<td>
								<a href="<c:out value="${childEditAction}"/>?<c:if test="${mainForm.m2mChild eq 'true'}">assignments=assigned&amp;</c:if><c:choose><c:when test="${mainForm.entityProperty eq 'manufacturer'}">parentIDField=parentManufacturerID&amp;parentManufacturerID=<c:out value="${item[thisIDField]}"/></c:when><c:otherwise>parentIDField=<c:out value="${thisIDField}"/>&amp;<c:out value="${thisIDField}"/>=<c:out value="${item[thisIDField]}"/></c:otherwise></c:choose><c:if test="${(mainForm.entityProperty eq 'discount' or mainForm.entityProperty eq 'discountRange') and !empty mainForm.skuID}">&amp;skuID=<c:out value="${mainForm.skuID}"/></c:if><c:if test="${(mainForm.entityProperty eq 'attribute' or mainForm.entityProperty eq 'option' or mainForm.entityProperty eq 'discount' or mainForm.entityProperty eq 'discountRange') and !empty mainForm.productID}">&amp;productID=<c:out value="${mainForm.productID}"/></c:if>">
									<c:out value="${childName}"/>
								</a>
							</td>
						</c:if>
						
						<%-- Delete/select column --%>
						<c:choose>
							<c:when test="${mainForm.editMode eq 'true' and empty mainForm.assignments}">
								<% numberOfColumns++; %>
								<td class="delete"><input type="checkbox" name="deleteID" value="<c:out value="${item[thisIDField]}"/>" /></td>
							</c:when>
							<c:when test="${mainForm.editMode ne 'true' and (mainForm.entityProperty eq 'order' or (empty mainForm.assignments and mainForm.entityProperty eq 'product'))}">
								<% numberOfColumns++; %>
								<td class="delete">
									<c:set var="selectedID" value="${mainForm.selectedID}"/>
									<% if (pageContext.getAttribute("selectedID") != null && java.util.Arrays.asList((String[]) pageContext.getAttribute("selectedID")).contains(request.getAttribute("itemID").toString())) {  %>
										<input type="checkbox" name="selectedID" checked="checked" value="<c:out value="${itemID}" />" />
									<% } else { %>
										<input type="checkbox" name="selectedID" value="<c:out value="${itemID}" />" />
									<% } %>
								</td>
							</c:when>
						</c:choose>
					</c:if>

					<%-- Assigned column --%>
					<c:if test="${!empty mainForm.assignments}">
						<% numberOfColumns++; %>
						<td align="center">
							<c:choose>
								<c:when test="${mainForm.manyToManyProp eq 'productCategories' and mainForm.entityProperty eq 'product' and item.primaryCategoryID eq category.categoryID}">
									<span class="calloutMatch">*</span>
									<c:set var="primaryCategoryMatchAsterisk" scope="request" value="true"/>
									<input type="hidden" name="assigned" value="0"/>
								</c:when>
								<c:when test="${requestScope.editPermission eq 'true'}">
									<% if (assignedItems.contains(request.getAttribute("itemID"))) { %>
										<input type="hidden" name="assigned" value="1"/>
										<input type="checkbox" name="dummyAssigned" checked="checked" onclick="updateCheckboxField(this, 'assigned', <c:out value="${j}"/>)"/>
									<% } else { %>
										<input type="hidden" name="assigned" value="0"/>
										<input type="checkbox" name="dummyAssigned" onclick="updateCheckboxField(this, 'assigned', <c:out value="${j}"/>)"/>
									<% } %>
								</c:when>
								<c:otherwise>
									<% if (assignedItems.contains(request.getAttribute("itemID"))) { %>
											yes
									<% } else { %>
											no
									<% } %>
								</c:otherwise>
							</c:choose>
						</td>
					</c:if>
				</c:if>

				<c:set var="itemIndex" value="${j}" scope="request"/>
        		<ssc:insert attribute="fieldColumns" flush="false"/>

			</tr>
		</logic:iterate>

		<c:set var="numberOfColumns" scope="request"><%= numberOfColumns %></c:set>
        <ssc:insert attribute="lastRow"/>

		<c:if test="${mainForm.editMode eq 'true' or (!empty mainForm.assignments and requestScope.editPermission  eq 'true')}">
			<tr>
				<td class="updateButton" colspan="<%= numberOfColumns++ %>">
					<input type="submit" class="button editModeUpdate" name="editDeleteAttributeSubmit" value="<bean:message key="administrator.update" bundle="/administrator/administrator"/>" onclick="return confirm('<bean:message key="administrator.confirmUpdateDelete" bundle="/administrator/administrator"/>')"/>
				</td>
			</tr>
		</c:if>
		</form>
	</c:otherwise>
</c:choose>
<!-- End dataTable.jsp -->
