<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start pruneRequestLog.jsp -->
<div class="instructions">
	<p>
		If activated, the <a href="RequestLog.do">Request Log</a> stores a record for each request made to the application. As time goes
		by, the log can cause the database to become quite large, so it's a good idea to prune it periodically.
	</p>
	<p>
		Following is a summary of the request log information currently in the database. Use the form below
		to clean them from the system.
	</p>
</div>

<br/>

<table class="chart">
	<tr>
		<th>&nbsp;</th>
		<th>Number of Request Log Entries</th>
	</tr>
	<logic:iterate name="statistics" id="stat" indexId="i">
		<tr>
			<td>
				<c:choose>
					<c:when test="${i == 0}">Last 24 Hours</c:when>
					<c:when test="${i == 1}">Last 7 Days</c:when>
					<c:when test="${i == 2}">Last 30 Days</c:when>
					<c:when test="${i == 3}">Last 90 Days</c:when>
					<c:when test="${i == 4}">All Time</c:when>
				</c:choose>
			</td>
			<td align="right">
				<c:out value="${stat}"/>
			</td>
		</tr>
	</logic:iterate>
</table>
	
<html:form action="/PruneRequestLogProcess" method="post">
	<div id="cardInfoCleanUpFormElements">
		Delete request logs older than:
		<html:text size="4" name="pruneRequestLogForm" property="olderThanDays" />
		<bean:message key="maintenance.incompleteOrdersPrompt2" bundle="/order" />
		<html:text size="4" name="pruneRequestLogForm" property="olderThanHours" />
		<bean:message key="maintenance.incompleteOrdersPrompt3" bundle="/order" />.
		<br/>
		(Use 0 and 0 to delete all request logs.)
	</div>
	<logic:present role="superuser,administrator,maintenanceEdit">
		<div class="saveSettings">
			<input type="submit" class="button" name="cardInfoCleanUpSubmit"
				value="<bean:message key="administrator.delete" bundle="/administrator/administrator"/>" />
		</div>
	</logic:present>
</html:form>
<!-- End pruneRequestLog.jsp -->
