<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.core.Settings" %>
<%@ page import="java.util.StringTokenizer" %>

<!-- Start settingsHeaderSidePanel.jsp -->
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<div class="instructions">
	Use this form to define display settings for the store's header, side panel, and the Welcome Screen.
</div>

<br/>
<html:form action="/SettingsProcessHeaderSidePanel" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:match name="settingRow" property="type" value="HEADERANDSIDEPANEL">
				<c:set var="setting" value="${settingRow}" scope="request"/>
				<c:choose>
					<%-- Resort these two. --%>
					<c:when test="${setting.code eq 'builtInCategories' or 
						setting.code eq 'builtInCategoryProductCount' or setting.code eq 'navBarLinks' or setting.code eq 'footerLinks'}">
					</c:when>
					<c:when test="${setting.code eq 'navBarOptions'}">
						<c:choose>
							<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
							<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
						</c:choose>
						<tr>
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td>
								<table>
									<tr>
										<th>Links Appearing in Header</th>
										<th>Links Appearing in Footer</th>
									</tr>
									<tr>
										<td style="vertical-align: top">
											<% 
												String possibleFieldsList = null;
												try {
													Settings settings = (Settings) request.getAttribute("settings");
													possibleFieldsList = (String) settings.getValue("navBarOptions");
												} catch (Exception e) {
												}
												StringTokenizer st =	new StringTokenizer(possibleFieldsList, ",");
												while (st.hasMoreTokens()) {
													String thisFieldString = st.nextToken();
													String thisFieldKey = "navBar." + thisFieldString;
											%>
													<logic:match name="settings" property="value(navBarLinks)" value="<%= thisFieldString %>">
														<input type="checkbox" name="navBarLinksArray" value="<%= thisFieldString %>" checked="checked"/>
													</logic:match>
													<logic:notMatch name="settings" property="value(navBarLinks)" value="<%= thisFieldString %>">
														<input type="checkbox" name="navBarLinksArray" value="<%= thisFieldString %>"/>
													</logic:notMatch>
													&nbsp;
													<bean:message key="<%= thisFieldKey %>" bundle="/administrator/administrator"/>
													<br/>
											<% } %>
										</td>
										
										<td style="vertical-align: top">
											<c:choose>
												<c:when test="${settings.map.footerLinks eq '[SAMEASHEADER]'}">
													<input type="radio" name="footerLinksArray" value="[SAMEASHEADER]" checked="checked"/> Same as header links
													<br/>
													<input type="radio" name="footerLinksArray" value=""/> Show separate options
												</c:when>
												<c:otherwise>
													<% 	
														StringTokenizer st2 = new StringTokenizer(possibleFieldsList, ",");
														while (st2.hasMoreTokens()) {
															String thisFieldString = st2.nextToken();
															String thisFieldKey = "navBar." + thisFieldString;
													%>
															<logic:match name="settings" property="value(footerLinks)" value="<%= thisFieldString %>">
																<input type="checkbox" name="footerLinksArray" value="<%= thisFieldString %>" checked="checked"/>
															</logic:match>
															<logic:notMatch name="settings" property="value(footerLinks)" value="<%= thisFieldString %>">
																<input type="checkbox" name="footerLinksArray" value="<%= thisFieldString %>"/>
															</logic:notMatch>
															&nbsp;
															<bean:message key="<%= thisFieldKey %>" bundle="/administrator/administrator"/>
															<br/>
													<% } %>
												</c:otherwise>
											</c:choose>
										</td>
									    </tr>
								</table>
								Defines which links appear in the header and footer of the customer interface.
							</td>
						</tr>
					</c:when>
					<c:otherwise>
						<c:choose>
							<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
							<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
						</c:choose>
						<ssc:insert page="/WEB-INF/templates/administrator/default/core/setting.jsp" flush="false"/>
					</c:otherwise>
				</c:choose>
			</logic:match>
		</logic:iterate>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:match name="settingRow" property="type" value="HEADERANDSIDEPANEL">
				<c:set var="setting" value="${settingRow}" scope="request"/>
				<c:choose>
					<%-- Resort these two. --%>
					<c:when test="${setting.code eq 'builtInCategories' or 
						setting.code eq 'builtInCategoryProductCount'}">
						<c:choose>
							<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
							<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
						</c:choose>
						<ssc:insert page="/WEB-INF/templates/administrator/default/core/setting.jsp" flush="false"/>
					</c:when>
				</c:choose>
			</logic:match>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,settingsEdit,settingsHeaderSidePanelEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>

<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Customize the header, side panel, or welcome page using JSP">
				<p>For complete control over your store's look and feel, you may create custom versions of each of the JSP templates used by the store.</p>
				<p>In particular, the following templates control the display of the header, side panel, and welcome page.
				Customizing these JSP files gives you full control over the appearance of the store's template:</p>
				<ul class="normal">
					<li>/WEB-INF/layouts/default-html5/core/header.jsp</li>
					<li>/WEB-INF/layouts/default-html5/core/centerLayout.jsp (overall layout of welcome page and contact us page)</li>
					<li>/WEB-INF/layouts/default-html5/core/layout.jsp (overall layout all other pages)</li>
					<li>/WEB-INF/layouts/default-html5/core/navigation.jsp</li>
					<li>/WEB-INF/layouts/default-html5/core/footer.jsp</li>
				</ul>
				<br/>
				<p>To customize the above files, always <strong>copy them first</strong> into the /WEB-INF/layouts/custom directory and modify them there.
				Visit the chapter on <a href="http://www.softslate.com/documentation/html/creatingCustomLayout.html">Creating a Custom Layout</a> of the User Guide for full details.</p>
			</ssc:help>
		</li>
	</ul>
</div>
<!-- End settingsHeaderSidePanel.jsp -->
