<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<%
	java.util.Properties appComponents = (java.util.Properties) application.getAttribute("appComponents");
	String emailerProcessorImplementer = appComponents.getProperty("emailerProcessorImplementer");
	pageContext.setAttribute("emailerProcessorImplementer", emailerProcessorImplementer);
%>
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<html:form action="/SettingsProcessEmailMarketingServices" method="post">

	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<c:choose>
			<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
			<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
		</c:choose>


		<tr class="<c:out value="${requestScope.thisClass}"/>">
			<td class="setting">Active Email Marketing Service:</td>
			<td class="value">
				<input type="radio" id="BasicEmailerProcessor" name="emailerProcessorImplementer" value="com.softslate.emailer.businessobjects.core.BasicEmailerProcessor"
					<c:if test="${emailerProcessorImplementer eq 'com.softslate.emailer.businessobjects.core.BasicEmailerProcessor'}">checked="checked"</c:if>/>
				&nbsp;
				<label for="BasicEmailerProcessor">SoftSlate Emailer<br />Connects to a SoftSlate Emailer account to manage customer emails and subscribers.</label>
				<br/><br/>
				
				<input type="radio" id="ConstantContactProcessor" name="emailerProcessorImplementer" value="com.softslate.commerce.businessobjects.order.ConstantContactProcessor"
					<c:if test="${emailerProcessorImplementer eq 'com.softslate.commerce.businessobjects.order.ConstantContactProcessor'}">checked="checked"</c:if>/>
				&nbsp;
				<label for="ConstantContactProcessor">Constant Contact<br />Connects to a Constant Contact account to manage customer emails and subscribers.</label>

                <br/><br/>
                <input type="radio" id="MailChimpProcessor" name="emailerProcessorImplementer" value="com.softslate.commerce.businessobjects.order.MailChimpProcessor"
                       <c:if test="${emailerProcessorImplementer eq 'com.softslate.commerce.businessobjects.order.MailChimpProcessor'}">checked="checked"</c:if>/>
                &nbsp;
                <label for="MailChimpProcessor">MailChimp<br />Connects to a MailChimp account to manage customer emails and subscribers.</label>

			 </td>
		</tr>
	</table>

	<ul class="notesList">
		<%
			java.util.Properties appSettings = (java.util.Properties) application.getAttribute("appSettings");
			request.setAttribute("disableComponentUpdatesFromAdministrator", appSettings.getProperty("disableComponentUpdatesFromAdministrator"));
		%>
		<c:choose>
			<c:when test="${!empty disableComponentUpdatesFromAdministrator and disableComponentUpdatesFromAdministrator ne '0'}">
				<div class="warning">
					This form is disabled due to the appSettings' disableComponentUpdatesFromAdministrator property. To change these
					components, do so by modifying the /WEB-INF/classes/appComponents-custom.properties file directly. 
				</div>
				<br/>
			</c:when>
			<c:otherwise>
				<li class="important">
					Changing this field will update the /WEB-INF/classes/appComponents-custom.properties file. 
					The application server must have writable permission for that file.
					If you are running this application in a clustered environment, change this file manually on each server, instead of using this screen.
					Please be aware some application servers are configured to reload the application when a file under /WEB-INF/classes changes.
				</li>
	
				<br/>
							
				<logic:present role="superuser,administrator,emailMarketingServicesEdit">
			    	<div class="saveSettings">
						<input type="submit" class="button" value="Save Settings"/>
					</div>
				</logic:present>
			</c:otherwise>
		</c:choose>
	</ul>
</html:form>
