<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<bean:define id="administratorURL" name="settings" property="value(administratorURL)"/>

<!-- Start orderLinks.jsp -->
<ul class="adminLinks">
	<li<c:if test="${screen eq 'order.orderOverviewLayout' }"> class="active"</c:if>>
		<a href="<%=response.encodeURL(administratorURL + "/OrderOverview.do")%>?orderID=<c:out value="${order.orderID}"/>">
			Overview
		</a>
	</li>
	<li<c:if test="${screen eq 'order.orderEditFormLayout' }"> class="active"</c:if>>
		<a href="<%=response.encodeURL(administratorURL + "/OrderEditForm.do")%>?orderID=<c:out value="${order.orderID}"/>">
			Details
		</a>
	</li>
	<logic:present role="superuser,administrator,orderDeliveryView,orderDeliveryEdit">
		<li<c:if test="${screen eq 'order.orderDeliveryLayout' 
			or screen eq 'order.orderDeliveryAddFormLayout'
			or screen eq 'order.orderDeliveryEditFormLayout'}"> class="active"</c:if>>
			<a href="<%=response.encodeURL(administratorURL + "/OrderDelivery.do")%>?orderID=<c:out value="${order.orderID}"/>">
				Delivery Addresses
			</a>
		</li>
	</logic:present>
	<logic:present role="superuser,administrator,orderItemView,orderItemEdit">
		<li<c:if test="${screen eq 'order.orderItemLayout' 
			or screen eq 'order.orderItemAddFormLayout'
			or screen eq 'order.orderItemEditFormLayout'
			or screen eq 'order.orderItemAttributeLayout'
			or screen eq 'order.orderItemAttributeAddFormLayout'
			or screen eq 'order.orderItemAttributeEditFormLayout'}"> class="active"</c:if>>
			<a href="<%=response.encodeURL(administratorURL + "/OrderItem.do")%>?orderID=<c:out value="${order.orderID}"/>">
				Items
			</a>
		</li>
	</logic:present>
	<logic:present role="superuser,administrator,orderPaymentView,orderPaymentEdit">
		<li<c:if test="${screen eq 'payment.paymentLayout' 
			or screen eq 'payment.paymentAddFormLayout'
			or screen eq 'payment.paymentEditFormLayout'}"> class="active"</c:if>>
			<a href="<%=response.encodeURL(administratorURL + "/Payment.do")%>?orderID=<c:out value="${order.orderID}"/>">
				Payments
			</a>
		</li>
	</logic:present>
	<logic:present role="superuser,administrator,orderDiscountView,orderDiscountEdit">
		<li <c:if test="${screen eq 'order.orderDiscountLayout' 
			or screen eq 'order.orderDiscountAddFormLayout'
			or screen eq 'order.orderDiscountEditFormLayout'}"> class="active"</c:if>>
			<a href="<%=response.encodeURL(administratorURL + "/OrderDiscount.do")%>?orderID=<c:out value="${order.orderID}"/>">
				Discounts
			</a>
		</li>
	</logic:present>
	<c:if test="${!empty order.completed}">
		<li<c:if test="${screen eq 'order.sendEmailsFormLayout'
						or screen eq '/WEB-INF/templates/administrator/default/order/redoOrderTotals.jsp' }"> class="active"</c:if>>
			<a href="<%=response.encodeURL(administratorURL + "/SendEmailsForm.do")%>?orderID=<c:out value="${order.orderID}"/>">
				Confirmation Emails
			</a>
		</li>
	</c:if>
	<logic:present role="superuser,administrator,taxView,taxEdit">
		<li class="enterpriseFeature<c:if test="${fn:endsWith(screen, 'avaTaxOrderForm.jsp')}"> active</c:if>">
			<a href="<%=response.encodeURL(administratorURL + "/AvaTaxOrderForm.do")%>?orderID=<c:out value="${order.orderID}"/>">
				AvaTax
			</a>
		</li>
	</logic:present>
	<logic:present role="superuser,administrator,requestLogEdit,requestLogView">
		<li class="enterpriseFeature<c:if test="${screen eq 'core.requestLogLayout' 
			or screen eq 'core.requestLogAddFormLayout'
			or screen eq 'core.requestLogEditFormLayout'}"> active</c:if>">
			<a href="<%=response.encodeURL(administratorURL + "/RequestLog.do")%>?parentOrderID=<c:out value="${order.orderID}"/>&parentIDField=parentOrderID">
				Request Log
			</a>
		</li>
	</logic:present>
	<logic:present role="superuser,administrator,emailEdit,emailView">
		<li class="enterpriseFeature<c:if test="${screen eq 'email.emailLayout' 
			or screen eq 'email.emailAddFormLayout'
			or screen eq 'email.emailEditFormLayout'}"> active</c:if>">
			<a href="<%=response.encodeURL(administratorURL + "/Email.do")%>?parentOrderID=<c:out value="${order.orderID}"/>&parentIDField=parentOrderID">
				Emails
			</a>
		</li>
	</logic:present>
</ul>
<!-- End orderLinks.jsp -->
