<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<bean:define id="administratorURL" name="settings" property="value(administratorURL)" type="java.lang.String"/>
<!-- Start attributeExtra.jsp -->

<%-- Explain the keep orders in sync asterisk. --%>
<c:if test="${keepOrdersInSyncAsterisk eq 'true'}">
	<div class="instructions calloutExplanation">
		<span class="calloutMatch">*</span> In order to set attribute orders within a product, set the 'Keep Order Fields in Sync' setting to no first
		, from the <a href="SettingsAdvancedSystem.do">Advanced System Settings screen</a>
	</div>
</c:if>
	
<c:if test="${editPermission eq 'true'}">
	<div class="controlScreenExtra">
		<h2 class="administratorHeader">Attribute - Quick Add <c:if test="${mainForm.parentIDField eq 'productID' and !empty requestScope.product.name}"> under <em><c:out value="${product.name}"/></em></c:if></h2>
		<form name="attributeQuickAdd" class="extraForm adminContainer" action="<c:out value="${administratorURL}"/>/AttributeQuickAdd.do">
			<html:hidden name="mainForm" property="itemsPerPage"/>
			<html:hidden name="mainForm" property="firstRow"/>
			<html:hidden name="mainForm" property="editMode"/>
			<html:hidden name="mainForm" property="searchString"/>
			<html:hidden name="mainForm" property="sortByString"/>
			<html:hidden name="mainForm" property="sortAscOrDesc"/>
			<bean:define id="displayFieldArray" name="mainForm" property="displayFields" type="java.lang.String[]" />
			<logic:iterate collection="<%= displayFieldArray %>" id="displayField" type="java.lang.String">
				<input type="hidden" name="displayFields" value="<%= displayField %>" />
			</logic:iterate>
			<logic:notEmpty name="parentIDField">
				<input type="hidden" name="<bean:write name="parentIDField"/>" value="<bean:write name="parentIDValue"/>"/>
			</logic:notEmpty>
			<logic:notEmpty name="mainForm" property="assignments">
				<html:hidden name="mainForm" property="assignments"/>
			</logic:notEmpty>
			<table>
				<tr>
					<td class="extraField">
						<label for="quickAddCode">Code:</label><br/>
						<html:text maxlength="100" name="attributeAddEditForm" property="attributeCode" styleId="quickAddCode"/>
					</td>
					<td class="extraField">
						<label for="quickAddName">Name:</label><br/>
						<html:text maxlength="255" name="attributeAddEditForm" property="attributeName" styleId="quickAddName"/>
					</td>
					<td class="extraField">
						<label for="quickAddDescription">Type:</label><br/>
						<html:select name="attributeAddEditForm" property="attributeType">
							<html:option value="compact">Drop Down</html:option>
							<html:option value="expanded">Radio Buttons</html:option>
							<html:option value="compactInput">Text Field</html:option>
							<html:option value="expandedInput">Text Area</html:option>
							<html:option value="yesNo">Checkbox</html:option>
						</html:select>
					</td>
					<td class="extraField">
						<label>Required?:</label><br/>
						<html:radio styleClass="radiobtn" styleId="quickAddIsRequiredYes" name="attributeAddEditForm" property="attributeIsRequired" value="true" />
						<label for="quickAddIsRequiredYes">yes</label> &nbsp;&nbsp; 
						<html:radio styleClass="radiobtn" styleId="quickAddIsRequiredNo" name="attributeAddEditForm" property="attributeIsRequired" value="false" /> 
						<label for="quickAddIsRequiredNo">no</label>
					</td>
				</tr>
				<tr>
					<td colspan="4" class="extraButton">
						<input type="submit" class="button" name="addSubmit" value="<bean:message key="administrator.add" bundle="/administrator/administrator"/>" />
					</td>
				</tr>
			</table>
		</form>
		<c:if test="${empty parentIDField}">
			<div class="extraFooting">
				<a href="<c:out value="${administratorURL}"/>/AttributeAddForm.do">Use the full add attribute form</a>
			</div>
		</c:if>
	</div>
</c:if>
<!-- End attributeExtra.jsp -->
