<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<bean:define id="administratorURL" name="settings" property="value(administratorURL)" />
<c:if test="${!empty productNamesCodesIDs}">
	<bean:size id="productSize" name="productNamesCodesIDs"/>
</c:if>
<c:if test="${!empty attributes}">
	<bean:size id="attributesSize" name="attributes"/>
</c:if>

<!-- Start skuFormGuts.jsp -->
<html:hidden name="skuAddEditForm" property="parentIDField" />
<tr>
	<td class="setting property">
		Product ID:
	</td>
	<td>
		<c:choose>
			<c:when test="${!empty productSize and productSize <= settings.map.maxAdminRecordsToDisplay}">
				<select name="productID" style="width: 95%">
					<option value="">
						[Any]
					</option>
					<option value="">
						-------------
					</option>
					<logic:notEmpty name="productNamesCodesIDs">
						<logic:iterate id="product" name="productNamesCodesIDs" indexId="j">
							<option value="<c:out value='${product[2]}'/>" <c:if test="${skuAddEditForm.productID eq product[2]}">selected="selected"</c:if>>
								<c:out value='${product[1]}' />
								-
								<c:out value='${product[0]}' />
							</option>
						</logic:iterate>
					</logic:notEmpty>
				</select>
			</c:when>
			<c:otherwise>
				<html:text maxlength="16" name="skuAddEditForm" property="productID" />
				<c:if test="${!empty sku}">
					(<a href="<bean:write name="administratorURL"/>/ProductEditForm.do?productID=<c:out value='${sku.product.productID}'/>&categoryID="><c:out value='${sku.product.code}'/></a>
					- <c:out value='${sku.product.name}'/>)
				</c:if>
			</c:otherwise>
		</c:choose>
		<div class="fieldDescription">This field and the subsequent Attribute/Option fields define which product/attribute/option this SKU represents.
		Leave this field blank to define an attribute-only SKU.</div>
	</td>
</tr>
<%for (int i = 1; i <= 5; i++) {%>
<% String attributeOptionName = "attributeOption" + Integer.toString(i); %>
<bean:define id="attributeOption" name="skuAddEditForm" property="<%= attributeOptionName %>" />
<tr>
	<td nowrap="nowrap" class="setting property">
		Attribute/Option
		<%=Integer.toString(i)%>
		:
	</td>
	<td>
		<c:choose>
			<c:when test="${empty attributesSize or attributesSize > settings.map.maxAdminRecordsToDisplay}">
				<input type="text" maxlength="16" name="attributeOption<%= Integer.toString(i) %>" /> (Enter as attributeID|optionID)
			</c:when>
			<c:otherwise>
				<select name="attributeOption<%= Integer.toString(i) %>">
					<option value="">
						[Any]
					</option>
					<option value="">
						-------------
					</option>
					<logic:notEmpty name="attributes">
						<logic:iterate id="attribute" name="attributes" indexId="j">
							<c:set var="thisValue" value="${attribute.attributeID}|0" />
							<option value="<c:out value='${thisValue}'/>" <c:if test="${! empty attributeOption and attributeOption eq thisValue}">selected="selected" </c:if>>
								<bean:write name="attribute" property="attributeCode" />
								= [Any Option]
							</option>
							<logic:iterate id="option" name="attribute" property="attributeOptions">
								<c:set var="thisValue" value="${attribute.attributeID}|${option.optionID}" />
								<option value="<c:out value='${thisValue}'/>" <c:if test="${! empty attributeOption and attributeOption eq thisValue}">selected="selected" </c:if>>
									<bean:write name="attribute" property="attributeCode" />
									=
									<bean:write name="option" property="optionCode" />
								</option>
							</logic:iterate>
						</logic:iterate>
					</logic:notEmpty>
				</select>
			</c:otherwise>
		</c:choose>
	</td>
</tr>
<%}

		%>


<tr>
	<td class="setting property">
		SKU Name:
	</td>
	<td>
		<html:text maxlength="255" name="skuAddEditForm" property="skuName" />
		<div class="fieldDescription">A name for this SKU, as displayed to customers next to this SKU on the product page.</div>
	</td>
</tr>

<tr>
	<td class="setting property">
		SKU Number/Code:
	</td>
	<td>
		<html:text maxlength="128" name="skuAddEditForm" property="skuNumber" />
		<div class="fieldDescription">A unique code for this SKU, used by the system to identify it. (No spaces, commas, or other unsafe characters. Pipe characters or equals signs are ok.) If left blank, the system will automatically generate the code from the name.</div>
	</td>
</tr>

<tr>
	<td class="setting property">
		SKU Message:
	</td>
	<td>
		<html:text maxlength="255" name="skuAddEditForm" property="skuMessage" />
		<div class="fieldDescription">A message for this SKU, as displayed to customers next to this SKU on the product page.</div>
	</td>
</tr>

<tr>
	<td class="setting property">
		Track Inventory?:
	</td>
	<td class="genericData">
		<html:radio name="skuAddEditForm" property="trackInventory" value="true" />
		yes &nbsp;&nbsp;
		<html:radio name="skuAddEditForm" property="trackInventory" value="false" />
		no
		<div class="fieldDescription">If false, this SKU will not be used to track inventory and its inventory level will not be used. This SKU may still be used to associate discounts with it.</div>
	</td>
</tr>

<tr>
	<td class="setting property">
		Inventory Level:
	</td>
	<td>
		<html:text size="5" maxlength="10" name="skuAddEditForm" property="inventoryLevel" />
		<div class="fieldDescription">This SKU's current inventory level.</div>
	</td>
</tr>

<tr>
	<td class="setting property">
		Extra 1:
	</td>
	<td>
		<html:text maxlength="255" name="skuAddEditForm" property="extra1" />
		<div class="fieldDescription">Any extra, or custom information associated with this SKU.</div>
	</td>
</tr>

<tr>
	<td class="setting property">
		Extra 2:
	</td>
	<td>
		<html:text maxlength="255" name="skuAddEditForm" property="extra2" />
	</td>
</tr>

<tr>
	<td class="setting property">
		Extra 3:
	</td>
	<td>
		<html:text maxlength="255" name="skuAddEditForm" property="extra3" />
	</td>
</tr>

<tr>
	<td class="setting property">
		Notes:
	</td>
	<td>
		<html:text maxlength="255" name="skuAddEditForm" property="notes" />
		<div class="fieldDescription">Notes attached to this SKU. (Not displayed to customers by default.)</div>
	</td>
</tr>
<!-- End skuFormGuts.jsp -->
