<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start avaTaxOrderForm.jsp -->
<c:set var="currentTaxRequestNumber" value="0"/>
<div class="orderMoreScreen">
	<c:if test="${!empty taxHistoryMessage}">
		<p>Error Retrieving History: <c:out value="${taxHistoryMessage}"/></p>
	</c:if>
	<c:choose>
		<c:when test="${!empty requestScope.taxHistoryResults}">
			<table class="chart grid">
				<tr>
					<th>Doc Status</th>
					<th>Doc Code</th>
					<th>Doc Date</th>
					<th>Customer Code</th>
					<th>Total Amount</th>
					<th>Total Exemption</th>
					<th>Total Tax</th>
					<th>Overall Tax Rate</th>
				</tr>
				<c:forEach var="taxHistoryResult" items="${requestScope.taxHistoryResults}" varStatus="i">
					<c:set var="currentTaxRequestNumber" value="${currentTaxRequestNumber + 1}"/>
					<c:set var="lastTaxHistoryResult" value="${taxHistoryResult}"/>
					<tr>
						<td><c:out value="${taxHistoryResult.getTaxResult.docStatus}"/></td>
						<td><c:out value="${taxHistoryResult.getTaxResult.docCode}"/></td>
						<td><c:out value="${taxHistoryResult.getTaxResult.docDate}"/></td>
						<td><c:out value="${taxHistoryResult.getTaxRequest.customerCode}"/></td>
						<td><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${taxHistoryResult.getTaxResult.totalAmount}"/></td>
						<td><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${taxHistoryResult.getTaxResult.totalExemption}"/></td>
						<td><fmt:formatNumber type="currency" currencyCode="${currencyCode}" value="${taxHistoryResult.getTaxResult.totalTax}"/></td>
						<td>
							<c:if test="${taxHistoryResult.getTaxResult.totalAmount > 0}">
								<c:set var="totalTax">${taxHistoryResult.getTaxResult.totalTax}</c:set>
								<c:set var="totalAmount">${taxHistoryResult.getTaxResult.totalAmount}</c:set>
								<fmt:formatNumber minFractionDigits="2" maxFractionDigits="2" value="${totalTax/totalAmount}"/>
							</c:if>
						</td>
					</tr>
				</c:forEach>
			</table>
			<br/><br/>
		</c:when>
		<c:otherwise>
			<p>No tax information saved for this order with Avalara.</p>
		</c:otherwise>
	</c:choose>
	<c:if test="${empty lastTaxHistoryResult or lastTaxHistoryResult.getTaxResult.docStatus eq 'Cancelled'}">		
		<c:set var="currentTaxRequestNumber" value="${currentTaxRequestNumber + 1}"/>
	</c:if>
	<form action="AvaTaxOrderProcess.do" method="post">
		<input type="hidden" name="orderID" value="${avaTaxOrderForm.orderID}"/>
		<input type="hidden" name="currentTaxRequestNumber" value="${currentTaxRequestNumber}"/>
		<c:choose>
			<c:when test="${empty lastTaxHistoryResult.getTaxResult.docStatus or 
							lastTaxHistoryResult.getTaxResult.docStatus eq 'Temporary' or 
							lastTaxHistoryResult.getTaxResult.docStatus eq 'Cancelled'}">
				<input type="submit" name="action" class="button" value="Calculate"/>&nbsp;&nbsp;
				<input type="submit" name="action" class="button" value="Calculate and Commit"/>&nbsp;&nbsp;
				<input type="checkbox" name="updateOrder" value="true" checked="checked"/>&nbsp;Update Order with Resulting Tax
			</c:when>
			<c:when test="${lastTaxHistoryResult.getTaxResult.docStatus eq 'Saved'}">
				<input type="submit" name="action" class="button" value="Post"/>&nbsp;&nbsp;
				<input type="submit" name="action" class="button" value="Post and Commit"/>&nbsp;&nbsp;
				<input type="submit" name="action" class="button" value="Cancel"/>
			</c:when>
			<c:when test="${lastTaxHistoryResult.getTaxResult.docStatus eq 'Posted'}">
				<input type="submit" name="action" class="button" value="Commit"/>&nbsp;&nbsp;
				<input type="submit" name="action" class="button" value="Cancel"/>
			</c:when>
			<c:when test="${lastTaxHistoryResult.getTaxResult.docStatus eq 'Committed'}">
				<input type="submit" name="action" class="button" value="Cancel"/>
			</c:when>
		</c:choose>
	</form>
</div>
<!-- End avaTaxOrderForm.jsp -->

