(function($) {
	$.SSCManageProfilesServerToServer = {
		popup : null,
		popupMessages : null,
		popupBody : null,
		popupAdd : null,
		popupAddMessages : null,
		popupAddBody : null,
		lastEdited : 0,
		loadAddPaymentForm : false,

		init : function() {
			
			// Edit props
			$("#authorizeNetAPIPopup").dialog({
				autoOpen: false,
				modal: true,
				width: 'auto',
				close: $.SSCManageProfilesServerToServer.closeEdit
			});
			$.SSCManageProfilesServerToServer.popup = $('#authorizeNetAPIPopup');
			$.SSCManageProfilesServerToServer.popupMessages = $('#authorizeNetAPIPopupMessages');
			$.SSCManageProfilesServerToServer.popupBody = $('#authorizeNetAPIPopupBody');
			
			$("#authorizeNetAPIPopupAdd").dialog({
				autoOpen: false,
				modal: true,
				width: 'auto',
				close: $.SSCManageProfilesServerToServer.closeAdd
			});
			$.SSCManageProfilesServerToServer.popupAdd = $('#authorizeNetAPIPopupAdd');
			$.SSCManageProfilesServerToServer.popupAddMessages = $('#authorizeNetAPIPopupAddMessages');
			$.SSCManageProfilesServerToServer.popupAddBody = $('#authorizeNetAPIPopupAddBody');

			// Listeners and things no matter what the page
			$('#billingAddressEditForm').bind("submit", function(event) {
				return false;
			});
			$('#billingAddressEditSubmitButton').bind("click", $.SSCManageProfilesServerToServer.editAddress);
			$('#billingAddressEditCancelButton').bind("click", $.SSCManageProfilesServerToServer.closeEdit);
			
			$('#billingAddressAddForm').bind("submit", function(event) {
				return false;
			});
			$('#billingAddressAddSubmitButton').bind("click", $.SSCManageProfilesServerToServer.submitAddress);
			$('#billingAddressAddCancelButton').bind("click", $.SSCManageProfilesServerToServer.closeAdd);

			$('#paymentProfilesDisplay').bind("click", $.SSCManageProfilesServerToServer.clickAddress);
			$.SSCManageProfilesServerToServer.load();
			
			// Initialize the delete dialog box
		    $("#authorizeNetAPIDeleteDialog").dialog({
		        autoOpen: false,
		        modal: true,
		        close: $.SSCManageProfilesServerToServer.closeDelete
		    });
		},

		billToThisAddressArea : function(event) {
			$('#billToThisAddress').attr('checked', true);
			$("#addressesForm :input[id^='billing']").prop("readonly", false);
			$.SSCManageProfilesServerToServer.lastEdited = 0;
		},

		clickAddress : function(event) {
			var $clicked = $(event.target);
			if (($clicked.is("button") || $clicked.is("a")) && $clicked.hasClass("cimProfileDeleteLink")) {
				event.preventDefault();
				var currentId = $clicked.attr('id');
				if (currentId) {
					var s = currentId.split("-");
					if (s[1]) {
						// Display a dialog box asking the user to confirm
						$("#authorizeNetAPIDeleteDialog").dialog({
							buttons : {
								"Delete" : function() {
									$.SSCManageProfilesServerToServer.deleteAddress(s[1]);
								},
								"Close" : function() {
									$(this).dialog("close");
								}
							}
						});
						$("#authorizeNetAPIDeleteDialog").dialog("open");
					}
				}
			}
			if (($clicked.is("button") || $clicked.is("a")) && $clicked.hasClass("cimProfileEditLink")) {
				event.preventDefault();
				var currentId = $clicked.attr('id');
				if (currentId) {
					var s = currentId.split("-");
					if (s[1]) {
						$.SSCManageProfilesServerToServer.loadEdit(s[1]);
					}
				}
			}
			if (($clicked.is("button") || $clicked.is("a")) && $clicked.hasClass("cimProfileAddLink")) {
				event.preventDefault();
				$.SSCManageProfilesServerToServer.loadSubmit();
			}
		},

		loadEdit : function(id) {
			$("#authorizeNetAPIPopup").dialog("open");
			// $.SSCManageProfilesServerToServer.popup.show();
			$.SSCManageProfilesServerToServer.popupMessages.html("&nbsp;");
			$.SSCManageProfilesServerToServer.popupBody.html("&nbsp;");
			if (!$.SSCManageProfilesServerToServer.popupMessages.hasClass('loadingBar')) {
				$.SSCManageProfilesServerToServer.popupMessages.addClass('loadingBar');
			}
			$.SSCManageProfilesServerToServer.lastEdited = id;
			$.ajax( {
				type : "POST",
				url : "AuthorizeNetEditProfileFormAjax.do",
				data : {
					"cimPaymentProfileID" : id
				},
				dataType : "html",
				success : $.SSCManageProfilesServerToServer.loadEditSuccess,
				error : $.SSCManageProfilesServerToServer.loadEditError
			});
		},

		loadEditSuccess : function(html) {
			$.SSCManageProfilesServerToServer.popupMessages.removeClass('loadingBar');
			$.SSCManageProfilesServerToServer.popupMessages.html("&nbsp;");
			$.SSCManageProfilesServerToServer.popupBody.html(html);
		},

		loadError : function(error) {
			$.SSCManageProfilesServerToServer.popupMessages.removeClass('loadingBar');
			$.SSCManageProfilesServerToServer.popupBody.html("&nbsp;");
			$.SSCManageProfilesServerToServer.popupMessages.html("Error communicating, please try again.");
		},

		load : function() {
			$('#paymentProfilesDisplay').html('&nbsp;');
			if (!$('#paymentProfilesDisplay').hasClass('loadingBar')) {
				$('#paymentProfilesDisplay').addClass('loadingBar');
			}
			$.ajax( {
				type : "POST",
				url : "AuthorizeNetLoadProfilesAjax.do",
				dataType : "html",
				success : $.SSCManageProfilesServerToServer.loadSuccess,
				error : $.SSCManageProfilesServerToServer.loadError
			});
		},

		loadSuccess : function(html) {
			$('#paymentProfilesDisplay').removeClass('loadingBar');
			$('#paymentProfilesDisplay').html(html);
			$.SSCManageProfilesServerToServer.selectLastPaymentMethod();
			if (html.indexOf('cimProfileEditLink') == -1) {
				$("#basicPaymentSubmit").hide();
				if ($.SSCManageProfilesServerToServer.loadAddPaymentForm) {
					$.SSCManageProfilesServerToServer.loadSubmit();
					$.SSCManageProfilesServerToServer.loadAddPaymentForm = false;
				}
			}else{
				$("#basicPaymentSubmit").show();
			}
			
		},

		loadError : function(error) {
			$('#paymentProfilesDisplay').removeClass('loadingBar');
			$('#paymentProfilesDisplay').html("Error communicating, please try again.");
		},

		closeEdit : function(event) {
			event.preventDefault();
			$.SSCManageProfilesServerToServer.popupMessages.html("&nbsp;");
			$.SSCManageProfilesServerToServer.popupBody.html("&nbsp;");
			$("#authorizeNetAPIPopup").dialog("close");
			$.SSCManageProfilesServerToServer.load();
			return false;
		},

		editAddress : function(event) {
			event.preventDefault();
			$('#billingAddressEditForm').fadeOut();
			if (!$.SSCManageProfilesServerToServer.popupMessages.hasClass('loadingBar')) {
				$.SSCManageProfilesServerToServer.popupMessages.addClass('loadingBar');
			}
			
			// Support using Accept.js - see authorizeNetAcceptJSHelper.jsp
			if ($.SSCAuthorizeNetAcceptJSHelper) {
				$.SSCAuthorizeNetAcceptJSHelper.interceptProfileRequestWithAcceptJS(event, false);
			} else {
				$.ajax( {
					type : "POST",
					url : "AuthorizeNetEditProfileAjax.do",
					data : $('#billingAddressEditForm').serialize(),
					dataType : "html",
					success : $.SSCManageProfilesServerToServer.editSuccess,
					error : $.SSCManageProfilesServerToServer.editError
				});
			}
		},

		editSuccess : function(html) {
			$.SSCManageProfilesServerToServer.popupMessages.removeClass('loadingBar');
			$.SSCManageProfilesServerToServer.popupMessages.html(html);
			$('#billingAddressEditForm').fadeIn();
			$.SSCManageProfilesServerToServer.load();
		},

		editError : function(error) {
			$.SSCManageProfilesServerToServer.popupMessages.removeClass('loadingBar');
			$.SSCManageProfilesServerToServer.popupMessages
					.html("Error communicating, please try again.");
			$('#billingAddressEditForm').fadeIn();
		},
		
		closeAdd : function(event) {
			event.preventDefault();
			$.SSCManageProfilesServerToServer.popupAddMessages.html("&nbsp;");
			$.SSCManageProfilesServerToServer.popupAddBody.html("&nbsp;");
			$("#authorizeNetAPIPopupAdd").dialog("close");
			$.SSCManageProfilesServerToServer.load();
			return false;
		},

		submitAddress : function(event) {

			event.preventDefault();
			$('#paymentProfilesDisplay').html('&nbsp;');
			$('#billingAddressAddForm').fadeOut();
			if (!$('#paymentProfilesDisplay').hasClass('loadingBar')) {
				$('#paymentProfilesDisplay').addClass('loadingBar');
			}
			
			// Support using Accept.js - see authorizeNetAcceptJSHelper.jsp
			if ($.SSCAuthorizeNetAcceptJSHelper) {
				$.SSCAuthorizeNetAcceptJSHelper.interceptProfileRequestWithAcceptJS(event, true);
			} else {
				$.ajax( {
					type : "POST",
					url : "AuthorizeNetAddProfileAjax.do",
					data : $('#billingAddressAddForm').serialize(),
					dataType : "html",
					success : $.SSCManageProfilesServerToServer.submitSuccess,
					error : $.SSCManageProfilesServerToServer.submitError
				});
			}
		},

		submitSuccess : function(html) {
			// If no errors, close the form
			$.SSCManageProfilesServerToServer.popupAddMessages.removeClass('loadingBar');
			$.SSCManageProfilesServerToServer.popupAddMessages.html(html);
			if (html.indexOf('ajaxError') == -1) {
				$("#authorizeNetAPIPopupAdd").dialog("close");
				$.SSCManageProfilesServerToServer.load();
			} else {
				$('#billingAddressAddForm').fadeIn();
				$.SSCManageProfilesServerToServer.load();
			}
		},

		submitError : function(error) {
			$.SSCManageProfilesServerToServer.popupAddMessages.removeClass('loadingBar');
			$.SSCManageProfilesServerToServer.popupAddMessages
					.html("Error communicating, please try again.");
			$('#billingAddressAddForm').fadeIn();
		},
		
		loadSubmit : function() {
			$("#authorizeNetAPIPopupAdd").dialog("open");
			$.SSCManageProfilesServerToServer.popupAddMessages.html("&nbsp;");
			$.SSCManageProfilesServerToServer.popupAddBody.html("&nbsp;");
			if (!$.SSCManageProfilesServerToServer.popupAddMessages.hasClass('loadingBar')) {
				$.SSCManageProfilesServerToServer.popupAddMessages.addClass('loadingBar');
			}
			$.ajax( {
				type : "POST",
				url : "AuthorizeNetAddProfileFormAjax.do",
				data : { },
				dataType : "html",
				success : $.SSCManageProfilesServerToServer.loadSubmitSuccess,
				error : $.SSCManageProfilesServerToServer.loadSubmitError
			});
		},

		loadSubmitSuccess : function(html) {
			$.SSCManageProfilesServerToServer.popupAddMessages.removeClass('loadingBar');
			$.SSCManageProfilesServerToServer.popupAddMessages.html("&nbsp;");
			$.SSCManageProfilesServerToServer.popupAddBody.html(html);
			
		},

		loadSubmitError : function(error) {
			$.SSCManageProfilesServerToServer.popupAddMessages.removeClass('loadingBar');
			$.SSCManageProfilesServerToServer.popupAddBody.html("&nbsp;");
			$.SSCManageProfilesServerToServer.popupAddMessages.html("Error communicating, please try again.");
		},
		
		closeDelete : function(event) {
			event.preventDefault();
			$('#authorizeNetAPIDeleteMessages').removeClass('loadingBar');
			$('#authorizeNetAPIDeleteMessages').html("&nbsp;");
			$("#authorizeNetAPIDeleteDialog").dialog("close");
			$.SSCManageProfilesServerToServer.load();
			return false;
		},

		deleteAddress : function(addressID) {
			$('#authorizeNetAPIDeleteMessages').html('&nbsp;');
			if (!$('#authorizeNetAPIDeleteMessages').hasClass('loadingBar')) {
				$('#authorizeNetAPIDeleteMessages').addClass('loadingBar');
			}
			$.ajax( {
				type : "POST",
				url : "AuthorizeNetDeleteProfileAjax.do",
				data : {
					"cimPaymentProfileID" : addressID
				},
				dataType : "html",
				success : $.SSCManageProfilesServerToServer.deleteSuccess,
				error : $.SSCManageProfilesServerToServer.deleteError
			});
		},

		deleteSuccess : function(html) {
			// $("#authorizeNetAPIDeleteDialog").dialog("close");
			$('#authorizeNetAPIDeleteMessages').removeClass('loadingBar');
			$('#authorizeNetAPIDeleteMessages').html(html);
			$("#authorizeNetAPIDeleteDialog").dialog("close");
			$.SSCManageProfilesServerToServer.load();
		},

		deleteError : function(error) {
			// $("#authorizeNetAPIDeleteDialog").dialog("close");
			$('#authorizeNetAPIDeleteMessages').removeClass('loadingBar');
			$('#authorizeNetAPIDeleteMessages').html(
					"Error communicating, please try again.");
		},

		clearForm : function(form) {
			$(form).find(':input').each(function() {
				switch (this.type) {
				case 'password':
				case 'select-multiple':
				case 'select-one':
				case 'text':
				case 'textarea':
					$(this).val('');
					break;
				case 'checkbox':
				case 'radio':
					this.checked = false;
				}
			});
		},
		
		copyBilling : function(id) {
			$.SSCManageProfilesServerToServer.copyFields("#cimDetail-firstName-" + id,"#billingFirstName");
			$.SSCManageProfilesServerToServer.copyFields("#cimDetail-lastName-" + id,"#billingLastName");
			$.SSCManageProfilesServerToServer.copyFields("#cimDetail-company-" + id,"#billingOrganization");
			$.SSCManageProfilesServerToServer.copyFields("#cimDetail-address-" + id,"#billingAddress1");
			// Doesn't exist, will just erase
			$.SSCManageProfilesServerToServer.copyFields("#cimDetail-address2-" + id,"#billingAddress2");
			$.SSCManageProfilesServerToServer.copyFields("#cimDetail-city-" + id,"#billingCity");
			$.SSCManageProfilesServerToServer.copyFields("#cimDetail-state-" + id,"#billingState");
			$.SSCManageProfilesServerToServer.copyFields("#cimDetail-country-" + id,"#billingCountry");
			$.SSCManageProfilesServerToServer.copyFields("#cimDetail-zip-" + id,"#billingPostalCode");
			$.SSCManageProfilesServerToServer.copyFields("#cimDetail-phone-" + id,"#billingPhone1");
			// Doesn't exist, will just erase
			$.SSCManageProfilesServerToServer.copyFields("#cimDetail-phone2-" + id,"#billingPhone2");
			
		},
		
		selectLastPaymentMethod : function() {
			$("input[name=cimPaymentProfileID]").each(function() {
				if ($(this).val() == $.SSCManageProfilesServerToServer.lastEdited){
					$(this).attr('checked', true);
				}
			});
		},
		
		copyFields : function(copyFrom,copyTo){
			if ($(copyTo).length > 0){
				if ($(copyFrom).length > 0){
					$(copyTo).val($(copyFrom).text().trim());
				}else{
					$(copyTo).val('');
				}
			}
		}
		
	};
})(jQuery);
